<?php
/*
Plugin Name: Jumbo Content Modules
Plugin URI: http://tiguandesign.com/
Description: A content modules plugin that helps you easily create beautiful layouts for the Jumbo Theme via Visual Composer.
Author: Liviu Costache
Author URI: http://tiguandesign.com/
Version: 1.0
Text Domain: jumbo-content-modules
*/

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
    die;
}

/******************************
* Global variables
******************************/

define( 'JUMBO_PLUGIN_DIR', plugin_dir_path( __FILE__ ) );


/*----------------------------------------------------------------------------------------------------------
    Main Plugin Class
-----------------------------------------------------------------------------------------------------------*/

    if ( !class_exists( 'Jumbo_Content_Modules' ) ) {

        class Jumbo_Content_Modules {


/*----------------------------------------------------------------------------------------------------------
    Function Construct
-----------------------------------------------------------------------------------------------------------*/

    public function __construct() {

        add_action('plugins_loaded', array( $this, 'jumbo_content_modules' ) );
    }

/*----------------------------------------------------------------------------------------------------------
    Load plugin modules
-----------------------------------------------------------------------------------------------------------*/

        function jumbo_content_modules() {


            $tiguan_jumbo_theme = wp_get_theme( 'jumbo' );

            if( $tiguan_jumbo_theme->exists() and defined( 'WPB_VC_VERSION' ) and version_compare( WPB_VC_VERSION, '4.9.2', '>=' ) ) {

                include_once JUMBO_PLUGIN_DIR. '/core/jumbo_core.php';
                include_once JUMBO_PLUGIN_DIR. '/core/jumbo_module_date_only.php';
                include_once JUMBO_PLUGIN_DIR. '/core/jumbo_module_meta.php';
                include_once JUMBO_PLUGIN_DIR. '/core/jumbo_module_meta_color.php';
                include_once JUMBO_PLUGIN_DIR. '/core/jumbo_module_meta_mini.php';
                include_once JUMBO_PLUGIN_DIR. '/core/jumbo_module_meta_no_date.php';
                include_once JUMBO_PLUGIN_DIR. '/core/jumbo_module_post_format.php';
                include_once JUMBO_PLUGIN_DIR. '/core/jumbo_module_rate_only.php';
                include_once JUMBO_PLUGIN_DIR. '/modules/jumbo_module_1.php';
                include_once JUMBO_PLUGIN_DIR. '/modules/jumbo_module_2.php';
                include_once JUMBO_PLUGIN_DIR. '/modules/jumbo_module_3.php';
                include_once JUMBO_PLUGIN_DIR. '/modules/jumbo_module_4.php';
                include_once JUMBO_PLUGIN_DIR. '/modules/jumbo_module_5.php';
                include_once JUMBO_PLUGIN_DIR. '/modules/jumbo_module_8.php';
                include_once JUMBO_PLUGIN_DIR. '/modules/jumbo_module_10.php';
                include_once JUMBO_PLUGIN_DIR. '/modules/jumbo_module_11.php';
                include_once JUMBO_PLUGIN_DIR. '/modules/jumbo_module_12.php';
            }
        }

    }
}

if( class_exists( 'Jumbo_Content_Modules' ) ) {

    // instantiate the plugin class
    $jumbo_content_modules = new Jumbo_Content_Modules();

}   //  End if (!class_exists("Jumbo_Content_Modules")) (2)