<?php

/*----------------------------------------------------------------------------------------------------------
    MODULE 10 Gambini - DISPLAYS RECENT POSTS IN TWO COLUMNS WITH BIG IMAGES ON THE LEFT
-----------------------------------------------------------------------------------------------------------*/


class Jumbo_Module_10 {

    function __construct() {

        $this->module_id = 10;

        add_action( 'vc_before_init', array( $this, 'jumbo_vc_map_module10' ) );
        add_shortcode( 'td_module10', array( $this, 'render' ) );

    }


/*----------------------------------------------------
    RENDER SHORTCODE FUNCTION
-----------------------------------------------------*/

    function render( $atts ) {

        extract( shortcode_atts(
            array(
                'custom_title'  => '',
                'sub_title'     => '',
                'fa_icon'       => '',
                'color'         => '',
                'custom_url'    => '',
                'hide_icon'     => '',
                'hide_counters' => '',
                'category_id'   => '',
                'order_post'    => '',
                'tag_slug'      => '',
                'post_limit'    => 4
                ), $atts) );


        $td_return_module10_image = '<div class="td-noimage-fit-10"></div>';
        $td_image_size = 'jumbo-module-10';

        $td_return_module10_image_small = '<div class="td-noimage-fit-4"></div>';
        $td_image_size_small = 'jumbo-module-2-small';


        $buffer = '';

        $td_args = array(
            'ignore_sticky_posts' => 1
            );

        if ( !empty( $category_id ) and $category_id != 'All Categories' ) {
            $td_args['category_name'] = $category_id;
        }

        if (!empty($tag_slug)) {
            $td_args['tag'] = str_replace(' ', '-', $tag_slug);
        }


        switch ( $order_post ) {

            case 'random_posts':
            $td_args['orderby'] = 'rand';
            break;

            case 'alphabetical_order':
            $td_args['orderby'] = 'title';
            $td_args['order'] = 'ASC';
            break;

            case 'comment_count':
            $td_args['orderby'] = 'comment_count';
            $td_args['order'] = 'DESC';
            break;

            case 'views_count':
            $td_args['orderby'] = 'meta_value_num';
            $td_args['meta_key'] = 'post_views_count';
            break;

            case 'trending':
            $td_args['orderby'] = 'meta_value_num';
            $td_args['meta_key'] = 'post_views_count';
            $td_args['date_query'] = array(
                'column' => 'post_date_gmt',
                'after' => '1 week ago'
                );
            break;

            case 'popular_7_days':
            $td_args['orderby'] = 'comment_count';
            $td_args['date_query'] = array(
                'column' => 'post_date_gmt',
                'after' => '1 week ago'
                );
            break;

            }

            $td_args['post_status'] = 'publish';
            $td_args['posts_per_page'] = 4;

             if ( empty( $custom_title ) ) {
                $td_module_title10 = $category_id;
            } else {
                $td_module_title10 = htmlspecialchars( $custom_title, ENT_QUOTES );
            }

            // module url by selected category
            $td_category_id = get_cat_ID( $category_id );
            $td_module_url10 = get_category_link( $td_category_id );

            // module title
        if ( !empty( $color) ) {
            $border_color = 'style="border-bottom: 2px solid ' . esc_attr( $color ) . ';"';
        } else {
            $border_color = '';
        }
        $buffer .= '<div class="td-module-title widget-title" '. wp_kses_post( $border_color ).' >';
        $buffer .= '<h3 style="background-color:' . esc_attr( $color ) . ';">';

        if ( $fa_icon ) {
            $buffer .= '<span class="td-mod-fa"><i class="fa '. esc_attr( $fa_icon ). '"></i></span>';
        }


            // if custom URL is set by the user, link the module title with it
            if ( !empty( $custom_url ) ) {
                $buffer .= '<a style="background-color:' . esc_attr( $color ) . '"; href="' . esc_url( $custom_url ). '" title="' . esc_html( $td_module_title10 ). '">';
                $buffer .= $td_module_title10;
                $buffer .= '</a>';
            // else if custom URL is not set by the user and is selected a certain category, link the module title with the selected category link
            } elseif ( empty( $custom_url ) and !empty( $category_id ) and $category_id != 'All Categories' ) {
                $buffer .= $td_module_title10;
            // if custom URL is not set by the user and is selected "All Categories" the module title will not have an URL
            } else {
                $buffer .= $td_module_title10;
            }

            $buffer .= '</h3>';

// optional subtitle
            if ( !empty( $sub_title ) ) {
            $buffer .= '<div class="td-subtitle">';
            $buffer .= htmlspecialchars( $sub_title, ENT_QUOTES );
            $buffer .= '</div>';
        }

            $buffer .= '</div>';


// display posts
        $td_query = new WP_Query( $td_args );

        $counter = 1;

        if ( $td_query->have_posts() ) {

            while ( $td_query->have_posts() ) {
                $td_query->the_post();


                // render post format icon
                $td_module_10 = new Jumbo_Module_Post_Format( $atts );
                if ( empty( $hide_icon) ) {
                    $td_module_post_format = $td_module_10->render();
                } else {
                    $td_module_post_format = '';
                }


                // render td_module_meta.php
                $td_module_10 = new Jumbo_Module_Meta_Color( $atts );
                if ( empty( $hide_counters) ) {
                    $module_meta_colored = $td_module_10->render();
                } else {
                    $module_meta_colored = '';
                }

// check if post has thumbnail
            if ( '' != get_the_post_thumbnail() )  {

               $module10_image = '<div class="overlay-shadow-bottom"></div><div class="td-zoom-height"><a class="module-image" href="' . get_permalink() . '">' . get_the_post_thumbnail( get_the_ID(), $td_image_size ) . wp_kses_post( $td_module_post_format ) . '</a>' . wp_kses_post( $module_meta_colored ) . '</div><div class="td-module-10-big-title"><h3 class="entry-title"><a href="' .get_permalink() . '">' . get_the_title() .'</a></h3></div>';
               $module10_small_images = '<div class="td-zoom-height"><a class="module-image" href="' . get_permalink() . '">' . get_the_post_thumbnail( get_the_ID(), $td_image_size_small ) . '</a></div>';
            } else {
                // display placeholder module
                $module10_image = '<div class="overlay-shadow-bottom"></div><div class="td-zoom-height"><a class="module-image" href="' . get_permalink() . '">' . $td_return_module10_image . wp_kses_post( $td_module_post_format ) . '</a></div><div class="td-module-big-title"><h3><a href="' .get_permalink() . '">' . get_the_title() . ' </a></h3></div>';
                $module10_small_images = '<div class="td-zoom-height"><a class="module-image" href="' . get_permalink() . '">' . $td_return_module10_image_small . '</a></div>';
            }

            if( $counter == 1 ) {

            $buffer .= '<div class="td-module-10-wrap td-zoom grid col-340 td-fly-in clearfix">';

            // post image
            $buffer .= $module10_image;

            $buffer .= '</div>';

            } else { // display small images with meta

            $buffer .= '<div class="td-module-10-small-wrap td-fly-in grid col-340 fit">';

            // post image
            $buffer .= '<div class="td-module-10-content">';
            $buffer .= '<div class="td-small-image-module-10">';
            $buffer .= $module10_small_images;
            $buffer .= '</div>';

            // post title
            $buffer .= '<div class="td-module-10-post-details">';

            $td_module_10 = new Jumbo_Module_Date_Only( $atts );
            $buffer .= '<div class="td-module-10-meta">';
            $buffer .= $td_module_10->render();
            $buffer .= '</div>';

            $buffer .= '<div class="td-module-10-post-title">';
            $buffer .= '<h3 class="entry-title">';
            $buffer .= '<a href="' .get_permalink() . '">' . get_the_title() .'</a>';
            $buffer .= '</h3>';
            $buffer .= '</div>';

            // render td_module_meta.php
            $td_module_10 = new Jumbo_Module_Rate_Only( $atts );
            $buffer .= '<div class="td-module-10-meta">';
            $buffer .= $td_module_10->render();
            $buffer .= '</div>';

            $buffer .= '</div>';
            $buffer .= '</div>';

            $buffer .= '<div class="clearfix"></div>';

            // end of main module wrap
            $buffer .= '</div>';

             } // end if( $counter == 1 ) {


            $counter++;

            }

        }

        wp_reset_postdata();

        return balanceTags( $buffer );

    } // End of render shortcode function


/*----------------------------------------------------
    VISUAL COMPOSER MAPPING PARAMETERS
-----------------------------------------------------*/

function jumbo_vc_map_module10() {

         vc_map( array(
            'name'      => esc_html__( 'Gambini', 'jumbo' ),
            'base'      => 'td_module10',
            'class'     => 'td_module10',
            'category'  => esc_html__( 'Jumbo Modules', 'jumbo' ),
            'icon'      => 'icon-module10',
            'params' => array(
                array(
                'param_name'    => 'category_id',
                'type'          => 'dropdown',
                'value'         => Jumbo_Core::jumbo_get_module_categories(),
                'heading'       => esc_html__( 'Category filter:', 'jumbo' ),
                'description'   => '',
                'holder'        => 'div',
                'class'         => ''
                ),
             array(
                'param_name'    => 'custom_title',
                'type'          => 'textfield',
                'value'         => '',
                'heading'       => esc_html__( 'Custom title for this module:', 'jumbo' ),
                'description'   => 'Leave it blank to display category title for this module, if you have selected one above.',
                'holder'        => 'div',
                'class'         => ''
                ),
             array(
                'param_name'    => 'sub_title',
                'type'          => 'textfield',
                'value'         => '',
                'heading'       => esc_html__( 'Optional subtitle for this module:', 'jumbo' ),
                'description'   => '',
                'holder'        => 'div',
                'class'         => ''
                ),
             array(
                'param_name'    => 'fa_icon',
                'type'          => 'textfield',
                'value'         => '',
                'heading'       => esc_html__( 'Optional Font Awesome icon:', 'jumbo' ),
                'description'   => 'Example: fa-car',
                'holder'        => 'div',
                'class'         => ''
                ),
             array(
                "type"          => "colorpicker",
                "class"         => "",
                "heading"       => esc_html__( 'Background color for this module title', 'jumbo' ),
                "param_name"    => "color",
                "value"         => '',
                "description"   => ''
             ),
             array(
                'param_name'    => 'hide_icon',
                'type'          => 'checkbox',
                'heading'       => esc_html__( 'Hide Post Format Icon?', 'jumbo' ),
                'description'   => '',
                'value'         => array( esc_html__( 'Yes, please', 'jumbo' ) => 'yes' ),
                'std' => 'no'
                ),
             array(
                'param_name'    => 'hide_counters',
                'type'          => 'checkbox',
                'heading'       => esc_html__( 'Hide Post Counters?', 'jumbo' ),
                'description'   => '',
                'value'         => array( esc_html__( 'Yes, please', 'jumbo' ) => 'yes' ),
                'std' => 'no'
                ),
             array(
                'param_name'    => 'custom_url',
                'type'          => 'textfield',
                'value'         => '',
                'heading'       => esc_html__( 'Custom url for module title:', 'jumbo' ),
                'description'   => 'Leave it blank to display category url for this module, if you have selected one above.',
                'holder'        => 'div',
                'class'         => ''
                ),
              array(
                'param_name'    => 'tag_slug',
                'type'          => 'textfield',
                'value'         => '',
                'heading'       => esc_html__( 'Filter by tag slug:', 'jumbo' ),
                'description'   => 'To filter posts by multiple tag slugs, enter here the tag slugs separated by commas (example: movie,fun,apps)',
                'holder'        => 'div',
                'class'         => ''
                ),
             array(
                'param_name'    => 'order_post',
                'type'          => 'dropdown',
                'value'         => array( '- Latest -' => '', 'Alphabetical' => 'alphabetical_order', 'Random Posts' => 'random_posts', 'Trending' => 'trending', 'Popular Posts Last Week' => 'popular_7_days', 'Most Commented' => 'comment_count', 'Most Viewed' => 'views_count' ),
                'heading'       => esc_html__( 'Sort order:', 'jumbo' ),
                'description'   => 'Note that selecting "Trending" or "Popular Posts Last Week" will only return posts published over a week ago. Therefore, if you have not published any posts in the last week, the module will not display any post.',
                'holder'        => 'div',
                'class'         => ''
                ),
             )
    ) );

} // End of function jumbo_vc_map_module10


} // End of class Jumbo_Module_10

$td_module10 = new Jumbo_Module_10();