<?php

/*----------------------------------------------------------------------------------------------------------
    MODULE 5 - CUSTOM TITLE
-----------------------------------------------------------------------------------------------------------*/


class Jumbo_Module_5 {

    function __construct() {

        $this->module_id = 5;

        add_action( 'vc_before_init', array( $this, 'jumbo_vc_map_module5' ) );
        add_shortcode( 'td_module5', array( $this, 'render' ) );


    }


/*----------------------------------------------------
    RENDER SHORTCODE FUNCTION
    -----------------------------------------------------*/

    function render( $atts ) {
        extract( shortcode_atts(
            array(
                'custom_title'  => '',
                'sub_title'     => '',
                'custom_url'    => '',
                'fa_icon'       => '',
                'color'         => '',
                ), $atts) );



        $buffer = '';

        if ( empty( $custom_title ) ) {
            $td_module_title5 = '';
        } else {
            $td_module_title5 = htmlspecialchars( $custom_title, ENT_QUOTES );
        }

        $td_module_url5 = $custom_url;

            // module title
        if ( !empty( $color) ) {
            $border_color = 'style="border-bottom: 2px solid ' . esc_attr( $color ). ';"';
        } else {
            $border_color = '';
        }
        $buffer .= '<div class="td-module-title widget-title" '. wp_kses_post( $border_color ).' >';
        $buffer .= '<h3 style="background-color:' . esc_attr( $color ). ';">';

        if ( $fa_icon ) {
            $buffer .= '<span class="td-mod-fa"><i class="fa '. esc_attr( $fa_icon ). '"></i></span>';
        }

            // if custom URL is set by the user, link the module title with it
        if ( !empty( $custom_url ) ) {
            $buffer .= '<a style="background-color:' . esc_attr( $color ). '"; href="' . esc_url( $custom_url ). '" title="' . esc_html( $td_module_title5 ). '" >';
            $buffer .= $td_module_title5;
            $buffer .= '</a>';
            // else if custom URL is not set by the user and is selected a certain category, link the module title with the selected category link
        } elseif ( empty( $custom_url ) ) {
            $buffer .= $td_module_title5;
            // if custom URL is not set by the user and is selected "All Categories" the module title will not have an URL
        } else {
            $buffer .= $td_module_title5;
        }

        $buffer .= '</h3>';

// optional subtitle
            if ( !empty( $sub_title ) ) {
            $buffer .= '<div class="td-subtitle">';
            $buffer .= htmlspecialchars( $sub_title, ENT_QUOTES );
            $buffer .= '</div>';
        }

            $buffer .= '</div>';



        return balanceTags( $buffer );

    } // End of render shortcode function


/*----------------------------------------------------
    VISUAL COMPOSER MAPPING PARAMETERS
-----------------------------------------------------*/

function jumbo_vc_map_module5() {

         vc_map( array(
            'name'      => esc_html__( 'Module Title', 'jumbo' ),
            'base'      => 'td_module5',
            'class'     => 'td_module5',
            'category'  => esc_html__( 'Jumbo Modules', 'jumbo' ),
            'icon'      => 'icon-module5',
            'params' => array(
             array(
                'param_name'    => 'custom_title',
                'type'          => 'textfield',
                'value'         => '',
                'heading'       => esc_html__( 'Custom title for this module:', 'jumbo' ),
                'description'   => 'Leave it blank to display category title for this module, if you have selected one above.',
                'holder'        => 'div',
                'class'         => ''
                ),
             array(
                'param_name'    => 'sub_title',
                'type'          => 'textfield',
                'value'         => '',
                'heading'       => esc_html__( 'Optional subtitle for this module:', 'jumbo' ),
                'description'   => '',
                'holder'        => 'div',
                'class'         => ''
                ),
             array(
                'param_name'    => 'fa_icon',
                'type'          => 'textfield',
                'value'         => '',
                'heading'       => esc_html__( 'Optional Font Awesome icon:', 'jumbo' ),
                'description'   => 'Example: fa-car',
                'holder'        => 'div',
                'class'         => ''
                ),
             array(
                'param_name'    => 'custom_url',
                'type'          => 'textfield',
                'value'         => '',
                'heading'       => esc_html__( 'Custom url for module title:', 'jumbo' ),
                'description'   => 'Leave it blank to display category url for this module, if you have selected one above.',
                'holder'        => 'div',
                'class'         => ''
                ),
             array(
                "type" => "colorpicker",
                "class" => "",
                "heading" => esc_html__( 'Background color for this module title', 'jumbo' ),
                "param_name" => "color",
                "value" => '',
                "description" => ''
             ),
             )
    ) );

} // End of function jumbo_vc_map_module5


} // End of class Jumbo_Module_5

$td_module5 = new Jumbo_Module_5();