<?php

/*----------------------------------------------------------------------------------------------------------
    MODULE 8 - DISPLAYS RESPONSIVE ADS
    -----------------------------------------------------------------------------------------------------------*/


    class Jumbo_Module_8 {

        function __construct() {

            $this->module_id = 8;

            add_action( 'vc_before_init', array( $this, 'jumbo_vc_map_module8' ) );
            add_shortcode( 'td_module8', array( $this, 'render' ) );

        }


/*----------------------------------------------------
    RENDER SHORTCODE FUNCTION
    -----------------------------------------------------*/

     function render($atts, $content = null) {

        extract( shortcode_atts(
            array(
                'responsive_ad' => ''
                ), $atts) );

        $buffer = '';

        $buffer .= '<div class="td-module-8-wrap">';

        $buffer .= $content;   //no visual composer

        // end of main module wrap class
       $buffer .= '</div>';


       return $buffer;

    } // End of render shortcode function


/*----------------------------------------------------
    VISUAL COMPOSER MAPPING PARAMETERS
    -----------------------------------------------------*/

    function jumbo_vc_map_module8() {

       vc_map(         array(
            "name" => esc_html__("Responsive Ad", 'jumbo'),
            "base" => "td_module8",
            "class" => "td_module8",
            "controls" => "full",
            'category'  => esc_html__( 'Jumbo Modules', 'jumbo' ),
            'icon'      => 'icon-module8',
            "params" => array(
                            array(
                'param_name'    => 'content',
                'type'          => 'textarea',
                'value'         => '',
                'heading'       => 'Responsive Ad Code',
                'description'   => 'Enter your custom ad code',
                'holder'        => 'div',
                'class'         => ''
                )
            )
        )
    );

} // End of function jumbo_vc_map_module8


} // End of class Jumbo_Module_8

$td_module8 = new Jumbo_Module_8();