<?php
// If this file is called directly, busted!
if( !defined( 'ABSPATH' ) ) {
	exit;
}
/*----------------------------------------------------------------------------------------------------------
	HEADER TEMPLATE
-----------------------------------------------------------------------------------------------------------*/
?>
<!doctype html>
<!--[if !IE]>
<html class="no-js non-ie" <?php language_attributes(); ?>> <![endif]-->
<!--[if IE 7 ]>
<html class="no-js ie7" <?php language_attributes(); ?>> <![endif]-->
<!--[if IE 8 ]>
<html class="no-js ie8" <?php language_attributes(); ?>> <![endif]-->
<!--[if IE 9 ]>
<html class="no-js ie9" <?php language_attributes(); ?>> <![endif]-->
<!--[if gt IE 9]><!-->
<html class="no-js" <?php language_attributes(); ?>> <!--<![endif]-->
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>"/>
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<link rel="profile" href="http://gmpg.org/xfn/11"/>
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>"/>
<?php

jumbo_post_var();

// facebook fix for wrong thumbnail image when using facebook share button
if ( is_single() ) {
	if ( has_post_thumbnail( $post->ID ) ) {
		$jumbo_image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'full' );
		if ( !empty( $jumbo_image[0] ) ) {
			echo '<meta property="og:image" content="' . esc_url( $jumbo_image[0] ) . '" />';
		}
	}
}

wp_head(); ?>
</head>
<body <?php body_class(); ?>>
<div id="fb-root"></div>

<?php

if ( is_single() ) {
	$td_sticky_menu = jumbo_get_option( 'td_sticky_menu_single' );
} else {
	$td_sticky_menu = jumbo_get_option( 'td_sticky_menu' );
}


$td_header_manager = JUMBO_Data::get( 'td_header_blocks' );
$td_header_manager = $td_header_manager['enabled'];

if ( $td_sticky_menu ) {
	$td_sticky = 'td-sticky';
} else {
	$td_sticky = '';
}

$classes = get_body_class();

	if ( in_array( 'full-layout', $classes ) and $td_header_manager ) {

		foreach ( $td_header_manager as $key=>$value ) {

			switch( $key ) {

				case 'block_fullwidth_logo': // full logo
				get_template_part( 'parts/header-boxed-full-logo' );
				break;

				case 'block_wide_header_slider': // Shortcode Block
				get_template_part( 'parts/header-wide-slider' );
				break;

				case 'block_top_menu': // main menu
				get_template_part( 'parts/menu-top' ); // yep, load the top menu
				break;

				case 'block_modular_slider': // modular slider
				if ( is_front_page() ) {
				get_template_part( 'parts/modular-slider' );
				}
				break;

				case 'block_logo_ad': // logo + ad
				echo '<div id="wide-menu">';
				get_template_part( 'parts/header-boxed-logo-ad' );
				echo '</div>';
				break;

				case 'block_main_menu': // boxed main menu
				echo '<div id="td-sticky" class="wide-menu ' . esc_attr( $td_sticky ) . '">';
				echo '<div id="wide-menu">';
				get_template_part( 'parts/menu-header' );
				echo '</div>';
				echo '</div>';
				break;

			}

		}

	}
?>

<?php jumbo_container(); // before container hook ?>
<div id="container" class="hfeed">
<?php jumbo_header(); // before header hook ?>
<div id="header">
<?php jumbo_header_top(); // before header content hook ?>

<div id="outer-wrap">

<?php

if ( is_single() ) {
	$td_sticky_menu 	= jumbo_get_option( 'td_sticky_menu_single' );
} else {
	$td_sticky_menu 	= jumbo_get_option( 'td_sticky_menu' );
}

if ( $td_sticky_menu ) {
	$td_sticky = 'td-sticky';
} else {
	$td_sticky = '';
}


if ( in_array( 'boxed-layout', $classes ) ) {

	$td_full_sticky = 'full-menu-sticky-wide';
	} else {
		$td_full_sticky = 'td-notshow';
		$td_sticky = '';
	}


if ( in_array( 'boxed-layout', $classes ) and $td_header_manager ) {

	foreach ( $td_header_manager as $key=>$value ) {

		switch( $key ) {

				case 'block_logo_ad': // boxed logo + ad
				get_template_part( 'parts/header-boxed-logo-ad' );
				break;

				case 'block_fullwidth_logo': // boxed full logo
				get_template_part( 'parts/header-boxed-full-logo' );
				break;

				case 'block_main_menu': // boxed main menu
				echo '<div id="td-sticky" class="' . esc_attr( $td_full_sticky ) . ' ' . esc_attr( $td_sticky ) . '">';
				get_template_part( 'parts/menu-header' );
				echo '</div>';
				break;

				case 'block_top_menu': // main menu
				echo '<div class="td-hide-top-menu">';
				get_template_part( 'parts/menu-top' ); // yep, load the top menu
				echo '</div>';
				break;

				case 'block_wide_header_slider': // Shortcode Block
				get_template_part( 'parts/header-wide-slider' );
				break;

				case 'block_modular_slider': // modular slider
				if ( is_front_page() ) {
				get_template_part( 'parts/modular-slider' );
				}
				break;

			}
		}
	}
?>

</div><?php // end of #outer-wrap  / ?>

<?php jumbo_header_bottom(); // after header content hook ?>
</div><?php // end of #header  / ?>
<?php jumbo_header_end(); // after header hook ?>
<?php jumbo_wrapper(); // before wrapper container hook ?>
<div id="wrapper" class="clearfix">
<?php jumbo_wrapper_top(); // before wrapper content hook ?>
<?php jumbo_in_wrapper(); // wrapper hook ?>