<?php

// If this file is called directly, busted!
if( !defined( 'ABSPATH' ) ) {
	exit;
}

/*----------------------------------------------------------------------------------------------------------
	IMAGE ATTACHMENT TEMPLATE - WE USE PHP COMMENTS INSTEAD OF HTML, TO REDUCE THE PAGE SIZE.
-----------------------------------------------------------------------------------------------------------*/
?>
<?php get_header(); ?>

<div id="content-images" class="grid col-728">

	<?php if( have_posts() ) : ?>
		<?php while( have_posts() ) : the_post(); ?>
			<?php jumbo_entry_before(); ?>

			<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

				<?php jumbo_entry_top(); ?>

				<h1 class="post-title"><?php the_title(); ?></h1>

				<p><?php echo __jumbo_translate( 'return_to' ); ?> <a href="<?php echo get_permalink( $post->post_parent ); ?>" rel="gallery"><?php echo get_the_title( $post->post_parent ); ?></a>
				</p>

				<div class="post-meta">

					<?php jumbo_post_meta_data(); ?>

					<?php if( comments_open() ) : ?>
						<span class="comments-link">
							<span class="mdash">&mdash;</span>
							<?php comments_popup_link( '<i class="fa fa-comment-o"></i> 0', '<i class="fa fa-comment-o"></i> 1', '<i class="fa fa-comment-o"></i> %' ); ?>
						</span>
					<?php endif; ?>
				</div><?php // end of .post-meta / ?>

				<div class="attachment-entry">

					<a href="<?php echo wp_get_attachment_url( $post->ID ); ?>"><?php echo wp_get_attachment_image( $post->ID, 'large' ); ?></a>
					<?php if( !empty( $post->post_excerpt ) ) {
						the_excerpt();
					} ?>

					<?php the_content( __jumbo_translate( 'read_more') ); ?>
					<?php wp_link_pages( array( 'before' => '<div class="pagination">' . __jumbo_translate( 'pages'), 'after' => '</div>' ) ); ?>
				</div><?php // end of .post-entry / ?>

				<div class="navigation-float">
				<div class="navigation">
					<div class="previous"><?php previous_image_link( 'thumbnail' ); ?></div>
					<div class="next"><?php next_image_link( 'thumbnail' ); ?></div>
				</div><?php // end of .navigation / ?>
				</div><?php // end of .navigation-float / ?>

				<?php if( comments_open() ) : ?>
					<div class="post-data">
						<?php the_tags( __jumbo_translate( 'tagged_with' ) . ' ', ', ', '<br />' ); ?>
						<?php the_category( __jumbo_translate( 'posted_in_img' ) . ', ' ); ?>
					</div><?php // end of .post-data / ?>
				<?php endif; ?>

				<?php edit_post_link( __jumbo_translate( 'edit_img' ), '<div class="post-edit">', '</div>' ); ?>

				<?php jumbo_entry_bottom(); ?>
			</div><?php // end of #post-the_ID(); / ?>

			<?php jumbo_entry_after(); ?>
			<?php jumbo_comments_before(); ?>
			<?php comments_template( '', true ); ?>
			<?php jumbo_comments_after(); ?>

			<?php
			endwhile;
			get_template_part( 'loop-nav' );
			else :
				get_template_part( 'loop-no-posts' );
			endif;
			?>

</div><?php // end of #content-image / ?>

<?php get_sidebar( 'gallery' ); ?>
<?php get_footer(); ?>