<?php


/*----------------------------------------------------------------------------------------------------------
	LOAD CSS STYLES FROM THEME OPTIONS AND CUSTOM CSS
-----------------------------------------------------------------------------------------------------------*/

	function jumbo_customize_styles() {

	$css = '';

/*----------------------------------------------------
	Boddy Typography
-----------------------------------------------------*/

	// Boddy font family
	$td_body_font_family = JUMBO_Data::get( 'td_body_font_family' );
    if ( ! empty( $td_body_font_family ) and $td_body_font_family != 'none' ) {
        $css .= 'body{font-family:' . esc_html( $td_body_font_family ) . ';}';
    }
	// Boddy font size
	$td_body_font_size = JUMBO_Data::get( 'td_body_font_size' );
	if( !empty( $td_body_font_size ) and $td_body_font_size != '14' ) {
	$css .= 'body{font-size:'. absint( $td_body_font_size ) .'px;}';
	}
	// Boddy font style
	$td_body_font_style = JUMBO_Data::get( 'td_body_font_style' );
    if ( ! empty( $td_body_font_style ) ) {
       $css .= 'body{font-style:'. esc_html( $td_body_font_style ) .';}';
    }
	// Boddy font weight
	$td_body_font_weight = JUMBO_Data::get( 'td_body_font_weight' );
	if( !empty( $td_body_font_weight ) ) {
	$css .= 'body{font-weight:'. esc_html( $td_body_font_weight ) .';}';
	}
	// Boddy line height
	$td_body_line_height = JUMBO_Data::get( 'td_body_line_height' );
	if( !empty( $td_body_line_height ) and $td_body_line_height != '21' ) {
	$css .= 'body{line-height:'. absint( $td_body_line_height ) .'px;}';
	}

/*----------------------------------------------------
	Main menu Typography
-----------------------------------------------------*/

	// Main Menu font family
	$td_main_menu_font_family = JUMBO_Data::get( 'td_main_menu_font_family' );
	if( !empty( $td_main_menu_font_family ) and $td_main_menu_font_family != 'none' ) {
	$css .= '.menu a{font-family:'. esc_html( $td_main_menu_font_family ) .';}';
	}
	// Main Menu font size
	$td_main_menu_font_size = JUMBO_Data::get( 'td_main_menu_font_size' );
	if( !empty( $td_main_menu_font_size ) and $td_main_menu_font_size != '16' ) {
	$css .= '.menu a {font-size:'. absint( $td_main_menu_font_size ) .'px;}';
	$css .= '.main-nav .fa {font-size:'. absint( $td_main_menu_font_size )+2 .'px;}';
	}
	// Main Menu font style
	$td_main_menu_font_style = JUMBO_Data::get( 'td_main_menu_font_style' );
	if( !empty( $td_main_menu_font_style ) ) {
	$css .= '.menu a{font-style:'. esc_html( $td_main_menu_font_style ) .';}';
	}
	// Main Menu font weight
	$td_main_menu_font_weight = JUMBO_Data::get( 'td_main_menu_font_weight' );
	if( !empty( $td_main_menu_font_weight ) ) {
	$css .= '.menu a{font-weight:'. esc_html( $td_main_menu_font_weight ) .';}';
	}
	// Main Menu text transform
	$td_main_menu_text_transform = JUMBO_Data::get( 'td_main_menu_text_transform' );
	if( !empty( $td_main_menu_text_transform  ) and $td_main_menu_text_transform  != 'uppercase'  ) {
	$css .= '.menu a{text-transform:'. esc_html( $td_main_menu_text_transform ) .';}';
	}

	// Main Menu FontAwesome size
	$td_main_menu_font_size = JUMBO_Data::get( 'td_main_menu_font_size' );
	if( !empty( $td_main_menu_font_size ) and $td_main_menu_font_size != '16' ) {
		if( !is_rtl() ) {
			$css .= '.menu li > a:after{font-size:'. absint( $td_main_menu_font_size ) .'px;}';
		} else {
			$css .= '.menu li > a:before{font-size:'. absint( $td_main_menu_font_size ) .'px;}';
		}
	}

/*----------------------------------------------------
	Sub-menu Typography
-----------------------------------------------------*/

	// Sub-menu font family
	$td_sub_menu_font_family = JUMBO_Data::get( 'td_sub_menu_font_family' );
	if( !empty( $td_sub_menu_font_family ) and $td_sub_menu_font_family != 'none' ) {
	$css .= '.menu li li a{font-family:'. esc_html( $td_sub_menu_font_family ) .';}';
	}
	// Sub-menu font size
	$td_sub_menu_font_size = JUMBO_Data::get( 'td_sub_menu_font_size' );
	if( !empty( $td_sub_menu_font_size ) and $td_sub_menu_font_size != '16' ) {
	$css .= '.menu li li a{font-size:'. absint( $td_sub_menu_font_size ) .'px;}';
	}
	// Sub-menu font style
	$td_sub_menu_font_style = JUMBO_Data::get( 'td_sub_menu_font_style' );
	if( !empty( $td_sub_menu_font_style ) ) {
	$css .= '.menu li li a{font-style:'. esc_html( $td_sub_menu_font_style ) .';}';
	}
	// Sub-menu font weight
	$td_sub_menu_font_weight = JUMBO_Data::get( 'td_sub_menu_font_weight' );
	if( !empty( $td_sub_menu_font_weight ) ) {
	$css .= '.menu li li a{font-weight:'. esc_html( $td_sub_menu_font_weight ) .';}';
	}
	// Sub-menu text transform
	$td_sub_menu_text_transform = JUMBO_Data::get( 'td_sub_menu_text_transform' );
	if( !empty( $td_sub_menu_text_transform ) and $td_sub_menu_text_transform != 'uppercase'  ) {
	$css .= '.menu li li a {text-transform:'. esc_html( $td_sub_menu_text_transform ) .';}';
	}

/*----------------------------------------------------
	Headings Typography
-----------------------------------------------------*/

	// Headings font family
	$td_postpage_font_family = JUMBO_Data::get( 'td_postpage_font_family' );
	if( !empty( $td_postpage_font_family ) and $td_postpage_font_family != 'none' ) {
	$css .= 'h1, h2, h2 a, h6.title-archive, h6.title-search-results{font-family:'. esc_html( $td_postpage_font_family ) .';}';
	}
	// Headings font size
	$td_postpage_font_size = JUMBO_Data::get( 'td_postpage_font_size' );
	if( !empty( $td_postpage_font_size ) and $td_postpage_font_size != '27' ) {
	$css .= 'h1, h2, h2 a, h6.title-archive, h6.title-search-results, h1.post-title {font-size:'. absint( $td_postpage_font_size ) .'px;}';
	}
	// Headings font style
	$td_postpage_font_style = JUMBO_Data::get( 'td_postpage_font_style' );
	if( !empty( $td_postpage_font_style ) ) {
	$css .= 'h1, h2, h2 a, h6.title-archive, h6.title-search-results{font-style:'. esc_html( $td_postpage_font_style ) .';}';
	}
	// Headings font weight
	$td_postpage_font_weight = JUMBO_Data::get( 'td_postpage_font_weight' );
	if( !empty( $td_postpage_font_weight ) ) {
	$css .= 'h1, h2, h2 a, h6.title-archive, h6.title-search-results{font-weight:'. esc_html( $td_postpage_font_weight ) .';}';
	}
	// Headings line height
	$td_postpage_line_height = JUMBO_Data::get( 'td_postpage_line_height' );
	if( !empty( $td_postpage_line_height ) and $td_postpage_line_height != '36' ) {
	$css .= 'h1, h2, h2 a, h6.title-archive, h6.title-search-results{line-height:'. absint( $td_postpage_line_height ) .'px;}';
	}
	// Headings text transform
	$td_postpage_text_transform = JUMBO_Data::get( 'td_postpage_text_transform' );
	if( !empty( $td_postpage_text_transform ) and $td_postpage_text_transform != 'uppercase'  ) {
	$css .= 'h1, h2, h2 a, h6.title-archive, h6.title-search-results{text-transform:'. esc_html( $td_postpage_text_transform ) .';}';
	}

/*----------------------------------------------------
	Widgets Typography
-----------------------------------------------------*/

	// Widgets font family
	$td_widgets_font_family = JUMBO_Data::get( 'td_widgets_font_family' );
	if( !empty( $td_widgets_font_family ) and $td_widgets_font_family != 'none' ) {
	$css .= '.widget-title h3, .widget-title h3 a, .widget-title-home h3{font-family:'. esc_html( $td_widgets_font_family ) .';}';
	}
	// Widgets font size
	$td_widgets_font_size = JUMBO_Data::get( 'td_widgets_font_size' );
	if( !empty( $td_widgets_font_size ) and $td_widgets_font_size != '24' ) {
	$css .= '#content-archive h1, .widget-title h3, .widget-title-home h3, .widget-title h3 a{font-size:'. absint( $td_widgets_font_size ) .'px;}';
	}
	// Widgets font style
	$td_widgets_font_style = JUMBO_Data::get( 'td_widgets_font_style' );
	if( !empty( $td_widgets_font_style ) ) {
	$css .= '.widget-title h3, .widget-title-home h3{font-style:'. esc_html( $td_widgets_font_style ) .';}';
	}
	// Widgets font weight
	$td_widgets_font_weight = JUMBO_Data::get( 'td_widgets_font_weight' );
	if( !empty( $td_widgets_font_weight ) ) {
	$css .= '.widget-title h3, .widget-title-home h3, .widget-title h3 a{font-weight:'. esc_html( $td_widgets_font_weight ) .';}';
	}
	// Widgets font height
	$td_widgets_line_height = JUMBO_Data::get( 'td_widgets_line_height' );
	if( !empty( $td_widgets_line_height ) and $td_widgets_line_height != '36' ) {
	$css .= '.widget-title h3, .widget-title-home h3{line-height:'. absint( $td_widgets_line_height ) .'px;}';
	}
	// Widgets text transform
	$td_widgets_text_transform = JUMBO_Data::get( 'td_widgets_text_transform' );
	if( !empty( $td_widgets_text_transform ) and $td_widgets_text_transform != 'none'  ) {
	$css .= '.widget-title h3, .widget-title-home h3{text-transform:'. esc_html( $td_widgets_text_transform ) .';}';
	}

/*----------------------------------------------------
	Colors
-----------------------------------------------------*/

	// Boddy text color
	$td_body_text_color = JUMBO_Data::get( 'td_body_text_color' );
	if( !empty( $td_body_text_color ) ) {
	$css .= 'body{color:'. esc_html( $td_body_text_color ) .';}';
	}
	// Headings Color
	$td_headings_text_color = JUMBO_Data::get( 'td_headings_text_color' );
	if( !empty( $td_headings_text_color ) ) {
	$css .= '#content-archive h1, .widget-title h3, .widget-title h3 a {color:'. esc_html( $td_headings_text_color ) .';}';
	}
	// Body background color
	$td_body_background = JUMBO_Data::get( 'td_body_background' );
	if( !empty( $td_body_background ) ) {
	$css .= 'body.boxed-layout{background-color:'. esc_html( $td_body_background ) .';}';
	}
	// Body links color
	$td_links_color = JUMBO_Data::get( 'td_links_color' );
	if( !empty( $td_links_color ) ) {
	$css .= 'a{color:'. esc_html( $td_links_color ) .';}';
	}
	// Menu Background color
	$td_main_menu_bg = JUMBO_Data::get( 'td_main_menu_bg' );
	if( !empty( $td_main_menu_bg ) ) {
	$css .= '.menu, .wide-menu, .is-sticky .full-menu-sticky-wide {background-color:'. esc_html( $td_main_menu_bg ) .';}';
	$css .= '@media screen and (max-width: 1018px) {.is-sticky .menu, .is-sticky .wide-menu, .js .main-nav {background-color:'. esc_html( $td_main_menu_bg ) .';}}';
	}

	// Change the background color of menu and links hover color of sub-menu items, only if the menu background color is NOT set to white
	$td_main_menu_bg = JUMBO_Data::get( 'td_main_menu_bg' );
	$td_main_menu_links_color = JUMBO_Data::get( 'td_main_menu_links_color' );
	if( !empty( $td_main_menu_bg ) and $td_main_menu_bg != '#ffffff' ) {
		if( !empty( $td_main_menu_bg ) ) {
		$css .= '.menu li li:hover, .sub-menu .current_page_item a, .sub-menu .current-menu-item a{background:'. esc_html( $td_main_menu_bg ) .'!important;}';
		$css .= '.menu li li a:hover{color:'. esc_html( $td_main_menu_links_color ) .';}';
	}

}

	// Add a gray border and and box shadow if the menu background color is set to white
	$td_main_menu_bg = JUMBO_Data::get( 'td_main_menu_bg' );
	if( !empty( $td_main_menu_bg ) and $td_main_menu_bg == '#ffffff' ) {
	$css .= '.full-layout .wide-menu:after,
	.full-layout .menu:after,
	.boxed-layout .main-nav:after,
	.boxed-layout .td-sticky:after {
		content: "";
		position: absolute;
		width: 100%;
		-webkit-box-shadow: 0 4px 4px rgba(198, 204, 207, 0.23);
		-moz-box-shadow: 0 4px 4px rgba(198, 204, 207, 0.23);
		box-shadow: 0 4px 4px rgba(198, 204, 207, 0.23);
		border-bottom: 4px solid #FFFFFF;
		border-top: 1px solid #f9f9f9;
		z-index: 1;}';
	}

	// Main Menu links color
	$td_main_menu_links_color = JUMBO_Data::get( 'td_main_menu_links_color' );
	if( !empty( $td_main_menu_links_color ) ) {
	$css .= '.menu li a, .menu-search-wrap #search-container .fa-search, .is-sticky .menu .current_page_item a, .is-sticky .menu .current-menu-item a {color:'. esc_html( $td_main_menu_links_color ) .';}';
	}

	// Overall Theme Color
	$td_theme_color = JUMBO_Data::get( 'td_theme_color' );
	if( !empty( $td_theme_color ) ) {
		$css .= '#td-modular-slider .td-main-slide .dark-cover {background: '. esc_html( $td_theme_color ) .'; background: -webkit-linear-gradient(right, '. esc_html( $td_theme_color ) .', 30%, transparent); background: -o-linear-gradient(right, '. esc_html( $td_theme_color ) .', 30%, transparent); background: -moz-linear-gradient(left, '. esc_html( $td_theme_color ) .', 30%, transparent); background: linear-gradient(to left, '. esc_html( $td_theme_color ) .', 30%, transparent); background: -ms-linear-gradient(right,  '. esc_html( $td_theme_color ) .' 20%, rgba(0,0,0,0.03) 70%, rgba(0,0,0,0) 60%, rgba(0,0,0,0) 100% );}';
		if( !is_rtl() ) {
		$css .= '#td-modular-slider .td-main-slide .dark-cover {background: '. esc_html( $td_theme_color ) .'; background: -webkit-linear-gradient(left, '. esc_html( $td_theme_color ) .', 30%, transparent); background: -o-linear-gradient(right, '. esc_html( $td_theme_color ) .', 30%, transparent); background: -moz-linear-gradient(right, '. esc_html( $td_theme_color ) .', 30%, transparent); background: linear-gradient(to right, '. esc_html( $td_theme_color ) .', 30%, transparent);background: -ms-linear-gradient(left,  '. esc_html( $td_theme_color ) .' 20%, rgba(0,0,0,0.03) 70%, rgba(0,0,0,0) 60%, rgba(0,0,0,0) 100% );}';
		}
	}


	if( !empty( $td_theme_color ) ) {
		$css .= '#td-searchsubmit,
			 #commentform a.button,
			 #commentform input[type="reset"],
			 #commentform input[type="button"],
			 #commentform input[type="submit"],
			 .td-simple-recent-posts-wrap .date-title time,
			 #td-sidebar-recent-posts-color li::before,
			 .td-cf7-home-wraper .wpcf7-submit,
			 .td-module-3-wrap.col-340 .comments-count,
			 .td-module-1-wrap.col-340 .comments-count,
			 .td-module-5-wrap.col-340 .comments-count,
			 .td-module-5-wrap .date-title .td-time,
			 #content-arcade .widget-title h1,
			 .scroll-up, .scroll-down,
			 #content-arcade .call-to-action a.button,
			 #progressbarloadbg,
			 .td-tag-cloud-widget a,
			 a.button.td-share-love,
			 #footer_widget,
			 .full-layout .footer-wide,
			 #footer-wrapper .block-bottom,
			 #footer .td-tag-cloud-widget a:hover,
			 .td-video-wrapp .td-embed-description .video-post-title,
			 .td-video-wrapp .td-embed-description .video-post-title span,
			 #container .bt368-nav-ptt[id^="jps_bete_"] .bt-cat-list.open-full-post:not(.bacmnsic),
			 .home .bt368-nav-ptt[id^="jps_bete_"][data-style="bt-small"] .bt-primary-title,
			 .widget_jumbo_social_tabs .widget-title h3,
			 .review-percentage .review-item span span,
			 .td-module-2-wrap .date-title time,
			 .td-module-5-wrap .date-title time,
			 .td-featured-image-caption,
			 .td-owl-date,
			 .td-thumb-cat-text a:hover,
			 .tag-links a:hover,
			 blockquote,
			 #nprogress .bar,
			 .mt-label,
			 .main-cat a,
			 .mt-controls {background-color:'. esc_html( $td_theme_color ) .';}';

		// Selection background color
			$css .= '::-moz-selection{background:'. esc_html( $td_theme_color ) .';}';
			$css .= '::selection{background:'. esc_html( $td_theme_color ) .';}';
			$css .= '::-webkit-selection{background:'. esc_html( $td_theme_color ) .';}';
		// Other elements color
			$css .= '
			.site-name:first-letter,
			.site-name-full:first-letter,
			#review-box h2.review-box-header,
			.search-results-query,
			.search-title-small,
			#author-meta .about-author,
			#review-box .review-final-score h3,
			#review-box .review-final-score h4,
			.td-big-posts .module-overlay,
			.td-module-11-wrap.col-728 .module-overlay,
			.td-module-11-wrap.col-340 .module-overlay,
			.td-module-3-wrap .td-module-post-title h3 a:hover,
			.colophon-module .td-actionbox-text label:before,
			.colophon-module .td-actionbox-text label:after,
			a:hover, a:focus, a:active,
			#td-modular-slider .module-overlay,
			.logged-in-as,
			.dot-irecommendthis:hover,
			.td-social-counters .icon,
			.dot-irecommendthis.active,
			.comment-body .comment-meta a,
			.sticky h1 a,
			.comment-body .reply a,
			.mashsb-count,
			.review-box,
			.cat-links a,
			blockquote p,
			.td-top-hot::before,
			.td-top-latest::before,
			.td-top-popular::before,
			a#show_login,
 			a#show_logout,
			.navigation .previous,
			.top-menu li a:hover,
			.navigation .next {color:'. esc_html( $td_theme_color ) .'!important;}';
			$css .= '.cat-links a, .td-wrap-content-arcade {border:1px solid '. esc_html( $td_theme_color ) .';}';
			$css .= '.td-share-love:after {border-color: transparent '. esc_html( $td_theme_color ) .';}';
			// add more overall theme color css here
			// add more overall theme color css here
	}

	if( !empty( $td_theme_color ) ) {
		$css .= '#nprogress .peg {box-shadow: 0 0 10px '. esc_html( $td_theme_color ) .', 0 0 5px '. esc_html( $td_theme_color ) .';} ';
	}

// JPS Load more
	if( !empty( $td_theme_color ) ) {
	$css .= '.bt368-nav-ptt[id^="jps_bete_"][data-style*="bt-post-grid-"] .bt-load-more-control .bt-load-more {background-color: '. esc_html( $td_theme_color ) .' !important;}';
	}

	if( !empty( $td_theme_color ) ) {
		$css .= '.td-search-button, .form-submit input {background-color: '. esc_html( $td_theme_color ) .' !important;}';
	}

	// Colophon color
	$td_colophon_color = JUMBO_Data::get( 'td_wide_callout_background' );

	if( !empty( $td_colophon_color ) ) {
		$css .= '.full-layout .colophon-wraper, .colophon-module{background-color:'. esc_html( $td_colophon_color ) .';}';
	}

	// Footer color
	$td_footer_bg = JUMBO_Data::get( 'td_footer_background_color' );

	if( !empty( $td_footer_bg ) ) {
		$css .= '.full-layout .footer-wide, #footer_widget, #footer-wrapper .block-bottom {background-color:'. esc_html( $td_footer_bg ) .';}';
	}

	// Widget title border bottom color
	$td_headings_color = JUMBO_Data::get( 'td_headings_color' );
	if( !empty( $td_headings_color ) ) {
	$css .= '.widget-title, .widget-title-home{border-bottom: 3px solid '. esc_html( $td_headings_color ) .';}';
	$css .= '.widget-title h3, .widget-title h3 a, .widget-title-home h3, #content-archive h1 {background-color: '. esc_html( $td_headings_color ) .';}';
	}

	// Menu Text Hover Color
	$td_menu_text_hover_color = JUMBO_Data::get( 'td_menu_text_hover_color' );
	if( !empty( $td_menu_text_hover_color ) ) {
	$css .= '.menu li a:hover, .js .main-nav .menu li a:hover{color: '. esc_html( $td_menu_text_hover_color ) .'!important;}';
	}

	if( !empty( $td_main_menu_bg ) and $td_main_menu_bg == '#ffffff' ) {
		$css .= '.is-sticky .menu li a:hover{color: '. esc_html( $td_menu_text_hover_color ) .';}';
	}
	// Menu Item Background Color
	$td_menu_item_hover_color = JUMBO_Data::get( 'td_menu_item_hover_color' );
	if( !empty( $td_menu_item_hover_color ) ) {
	$css .= '.menu a:hover, ul.menu > li:hover, .menu .current_page_item a, .menu .current-menu-item a, .front-page .menu .current_page_item a{background: '. esc_html( $td_menu_item_hover_color ) .';}';
	}

/*----------------------------------------------------
	Body background
-----------------------------------------------------*/

	// Body background image
	$td_background_image = JUMBO_Data::get( 'td_background_image' );
	if( !empty( $td_background_image ) ) {
	$css .= 'body.boxed-layout{background-image:url('. $td_background_image .');}';
	}
	// Body background repeat
	$td_background_repeat = JUMBO_Data::get( 'td_background_repeat' );
	if( !empty( $td_background_repeat ) and $td_background_repeat != 'no-repeat' ) {
	$css .= 'body.boxed-layout{background-repeat:'. esc_html( $td_background_repeat ) .';}';
	}
	// Body background position
	$td_background_position = JUMBO_Data::get( 'td_background_position' );
	if( !empty( $td_background_position ) and $td_background_position != 'center' ) {
	$css .= 'body.boxed-layout{background-position:'. esc_html( $td_background_position ) .';}';
	}
	// Body background attachment
	$td_background_attachment = JUMBO_Data::get( 'td_background_attachment' );
	if( !empty( $td_background_attachment ) and $td_background_attachment != 'scroll' ) {
	$css .= 'body.boxed-layout{background-attachment:'. esc_html( $td_background_attachment ) .';}';
	}

/*----------------------------------------------------
	Main menu
-----------------------------------------------------*/

	$td_main_menu_height = JUMBO_Data::get( 'td_main_menu_height' );
	if( !empty( $td_main_menu_height ) and $td_main_menu_height != '70' ) {
	$css .= '.menu a{line-height:'. absint( $td_main_menu_height ) .'px;}';
	$css .= '.menu-search-wrap #search-container .fa-search{margin-top:-'. absint( $td_main_menu_height/2+10  ) .'px;}';
	$css .= '.menu a{height:'. absint( $td_main_menu_height ) .'px;}';
	$css .= '#container.td-extra-top{margin-top:'. absint( $td_main_menu_height ) .'px;}';
	$css .= '#search-container .fa-search{margin-top:-'. absint( $td_main_menu_height/2+11 ) .'px;}';
	}

	$td_sub_menu_height = JUMBO_Data::get( 'td_sub_menu_height' );
	if( !empty( $td_sub_menu_height ) and $td_sub_menu_height != '50' ) {
	$css .= '.menu li li a{line-height:'. absint( $td_sub_menu_height-3 ) .'px;}';
	$css .= '.menu li li a{height:'. absint( $td_sub_menu_height ) .'px;}';
	$css .= '.sub-menu li > a:after, .sub-menu li > a:before {line-height:'. absint( $td_sub_menu_height ) .'px;}';
	}


/*----------------------------------------------------
	Header block top margin and background
-----------------------------------------------------*/

	$td_header_block_margin = JUMBO_Data::get( 'td_header_block_margin' );
	$td_transparent_header = JUMBO_Data::get( 'td_transparent_header' );
	if( !empty( $td_header_block_margin ) and $td_header_block_margin <= 0 ) {
	$css .= '#outer-wrap{margin-top:-'. absint( $td_header_block_margin ) .'px;}';
	}
	if( !empty( $td_header_block_margin ) and $td_header_block_margin >= 0 ) {
	$css .= '#outer-wrap{margin-top:'. absint( $td_header_block_margin ) .'px;}';
	}

	if( !empty( $td_transparent_header ) ) {
	$css .= '#outer-wrap, #header, #container, .msie-box {background-color:transparent;}';
	}


/*----------------------------------------------------
	Full Content Logo top & bottom margin
-----------------------------------------------------*/

	$td_full_logo_margin = JUMBO_Data::get( 'td_full_logo_margin' );
	if( !empty( $td_full_logo_margin ) and $td_full_logo_margin != 30 ) {
	$css .= '#logo-full{margin-top:'. absint( $td_full_logo_margin ) .'px; margin-bottom:'. absint( $td_full_logo_margin ) .'px;}';
	}

/*----------------------------------------------------
	Games Options
-----------------------------------------------------*/
	$td_progressbar = JUMBO_Data::get( 'td_enable_progress_bar' );
	if ( $td_progressbar ) {
		$css .= '#td-game-wrap{width:0; height: 0;}';
	 } else {
	 	$css .= '#td-game-wrap{width:100%}';
	 }


/*----------------------------------------------------------------------------------------------------------
	CUSTOM CSS STYLES FROM THEME OPTIONS - WILL OVERRIDE THE DEFAULT CSS OF THE THEME
-----------------------------------------------------------------------------------------------------------*/

$td_jumbo_inline_css = JUMBO_Data::get( 'td_jumbo_inline_css' );
	if( !empty( $td_jumbo_inline_css ) ) {
		$css .= $td_jumbo_inline_css . "\n";
	}

/*----------------------------------------------------
	Minify a bit the generated inline style
-----------------------------------------------------*/

	$css = str_replace( "\t", '', $css );
	$css = str_replace( array( "\n", "\r" ), '', $css );

/*----------------------------------------------------
	Add inline style
-----------------------------------------------------*/

wp_add_inline_style( 'jumbo-style', $css );

}

add_action( 'wp_enqueue_scripts', 'jumbo_customize_styles' );