<?php

add_action('init','of_options');

if (!function_exists('of_options'))
{
        function of_options()
        {
//Access the WordPress Categories via an Array
        $of_categories      = array();
        $of_categories_obj  = get_categories('hide_empty=0');
        foreach ($of_categories_obj as $of_cat) {
        $of_categories[$of_cat->cat_ID] = $of_cat->cat_name;}
        $categories_tmp     = array_unshift($of_categories, "ALL CATEGORIES");

$of_tags = array();
$of_tags_obj = get_tags('hide_empty=0');
foreach ($of_tags_obj as $of_tag) {
$of_tags[$of_tag->slug] = $of_tag->slug;}
$tags_tmp = array_unshift($of_tags, "ALL TAGS");


/*----------------------------------------------------------------------------------------------------------
    TODO Add options/functions that use these variables
-----------------------------------------------------------------------------------------------------------*/

// More Options
$uploads_arr        = wp_upload_dir();
$all_uploads_path   = $uploads_arr['path'];
$all_uploads        = get_option('of_uploads');
$other_entries      = array("Select a number:","1","2","3","4","5","6","7","8","9","10","11","12","13","14","15","16","17","18","19");
$body_repeat        = array("no-repeat","repeat-x","repeat-y","repeat");
$body_pos           = array("top left","top center","top right","center left","center center","center right","bottom left","bottom center","bottom right");

// Image Alignment radio box
$of_options_thumb_align = array("alignleft" => "Left","alignright" => "Right","aligncenter" => "Center");

// Image Links to Options
$of_options_image_link_to = array("image" => "The Image","post" => "The Post");

$theme_version = '';
$temp_obj = wp_get_theme();
$theme_obj = wp_get_theme( $temp_obj->get('Template') );
$theme_version = $theme_obj->get('Version');
$theme_name = $theme_obj->get('Name');
$theme_uri = $theme_obj->get('ThemeURI');
$author_uri = $theme_obj->get('AuthorURI');
$user_info = get_userdata(1);

$count_posts = wp_count_posts(); // retrieve posts count
$published_posts = $count_posts->publish; // published posts
$comments_count = wp_count_comments(); // retrieve unapproved comments count
$result = count_users(); // get users count
$tigu_total_users = $result['total_users'];
$shortname = "td";


$of_options_menu_blocks = array(
    "disabled" => array (
        "placebo"                   => "placebo", //REQUIRED!
        "block_wide_header_slider"  => "Shortcode Block",
        "block_fullwidth_logo"      => "Full Logo",
        "block_modular_slider"      => "Modular Slider",
        "block_logo_ad"             => "Logo + Ad Banner",
        "block_top_menu"            => "Top Menu",


    ),
    "enabled" => array (
        "placebo"                   => "placebo", //REQUIRED!
        "block_main_menu"           => "Main Menu",


    ),
);


/*----------------------------------------------------------------------------------------------------------
    Font options
-----------------------------------------------------------------------------------------------------------*/

//  Font Style
$of_options_select_font_style = array(
        ''          => "Default font style",
        'italic'    => "Italic",
        'oblique'   => "Oblique",
        'normal'    => "Normal (removes italic)"
        );

//  Font Weight
$of_options_select_font_weight = array(
        ''          => "Default font weight",
        'bold'      => "Bold",
        'normal'    => "Normal"
        );


// Text Transform
$of_text_transform      = array(
        ''              => "Default text transform",
        'uppercase'     => "Uppercase",
        'capitalize'    => "Capitalize",
        'lowercase'     => "Lowercase",
        'none'          => "None"
        );

// Related Content Type
$of_options_select_related_type = array(
        'td_by_cat'      => "Category",
        'td_by_auth'     => "Author",
        'td_by_tag'      => "Tag"
        );

// Adsense Shape format Single
$of_options_select_ad_shape = array(
        'auto'            => "Automatic",
        'horizontal'      => "Horizontal banner",
        'vertical'        => "Vertical banner",
        'rectangle'       => "Rectangle"
        );

// Ad position Single
$of_options_select_ad_position_single = array(
        'on_top_post'       => "On top of article",
        'at_end_post'       => "At the end of article",
        'after_x_post'      => "After x number of paragraphs - select below &#8595;"
        );

// Ad position Page
$of_options_select_ad_position_page = array(
        'on_top_page'       => "On top",
        'page_bottom'       => "At the bottom",
        'after_x_page'      => "After x number of paragraphs - select below &#8595;"
        );

// Ad position Archive
$of_options_select_ad_position_archive = array(
        'on_top_archive'       => "On top",
        'archive_bottom'       => "At the bottom",
        'after_x_archive'      => "After x number of posts - select below &#8595;"
        );

// Ad position Home Page Blog Layout
$of_options_select_ad_position_home = array(
        'on_top_home'       => "On top",
        'home_bottom'       => "At the bottom",
        'after_x_home'      => "After x number of paragraphs - select below &#8595;"
        );

$translate_strings = jumbo_get_translate_options();

/*----------------------------------------------------------------------------------------------------------
    The Options Array
-----------------------------------------------------------------------------------------------------------*/

// Set the Options Array
global $of_options;

$of_options = array();
$url =  ADMIN_DIR . 'assets/images/';
include_once( get_template_directory() . '/inc/framework/functions/google_fonts.php' ); // Google Fonts
include_once( ABSPATH . 'wp-admin/includes/plugin.php' );


// Welcome Heading
$of_options[] = array(  "name"  => "Welcome",
        "type"          => "heading"
        );

// Welcome - Content
$of_options[] = array(  "name"  => "",
        "desc"          => "",
        "id"            => "introduction",
        "std"           => "<h3 style=\"margin: 0 0 10px;\">Welcome to your Theme Options Panel !</h3>
        <p>This is your main theme options panel where you can adjust most of the theme settings. Please note that other options can also be found in the <a style=\"font-weight:600;text-decoration:none; color:#777;\" href=\"customize.php\" target=\"_blank\">Customize</a> page, where you can tweak some theme settings and see a preview of those changes in real time.<br /><br />Thanks you for using our theme!</p>",
        "icon"          => true,
        "type"          => "other"
        );

// Stats- Content
$of_options[] = array(  "name"  => "",
        "desc"          => "",
        "id"            => "introduction_2",
        "std"           => "
        <div class=\"box\">
        <div class=\"boxed-stats\">
        <div class=\"stats-box\">
        <span>Total Posts</span>
        </div>
        <h2>$published_posts</h2>
        <div class=\"chart green-chart\">
        Charts Stat
        </div>
        </div>
        <div class=\"boxed-stats\">
        <div class=\"stats-box\">
        <span>Total Comments</span>
        </div>
        <h2>$comments_count->total_comments</h2>
        <div class=\"chart red-chart\">
        Charts Stat
        </div>
        </div>
        <div class=\"boxed-stats\">
        <div class=\"stats-box\">
        <span>Total Users</span>
        </div>
        <h2>$tigu_total_users</h2>
        <div class=\"chart gray-chart\">
        Charts Stat
        </div>
        </div>
        </div>
        ",
        "icon"          => true,
        "type"          => "other"
        );


 // General Settings
$of_options[] = array( "name"  => "General Settings",
        "type"          => "heading"
        );

// Scroll Buttons
$of_options[] = array(  "name"  => "Hello there!",
        "desc"          => "<h3>Scroll Buttons</h3>",
        "id"            => $shortname."_group56",
        "icon"          => true,
        "std"           => 0,
        "folds"         => 1,
        "type"          => "toggle"
        );

// Scroll Buttons
$of_options[] = array(  "name"  => "Scroll Buttons",
        "desc"          => "Enable or disable scroll to top & scroll to bottom buttons.",
        "id"            => $shortname."_scroll_buttons",
        "fold"          => $shortname."_group56",
        "std"           => 1,
        "type"          => "switch"
        );

// Scroll Buttons
$of_options[] = array(  "name"  => "Hello there!",
        "desc"          => "<h3>Lightbox</h3>",
        "id"            => $shortname."_group76",
        "icon"          => true,
        "std"           => 0,
        "folds"         => 1,
        "type"          => "toggle"
        );

// Lightbox
$of_options[] = array(  "name"  => "Lightbox",
        "desc"          => "Enable or disable Lightbox pop-up on images for single post.",
        "id"            => $shortname."_lightbox_on",
        "std"           => 1,
        "fold"          => $shortname."_group76",
        "type"          => "switch"
        );

// Header Options Heading
$of_options[] = array(  "name"  => "Header",
        "type"      => "heading"
        );

// Top Menu
$of_options[] = array(  "name"  => "Hello there!",
        "desc"          => "<h3>Top Menu</h3>",
        "id"            => $shortname."_group71",
        "icon"          => true,
        "std"           => 0,
        "folds"         => 1,
        "type"          => "toggle"
        );

$of_options[] = array(  "name"  => "Latest menu page link",
        "desc"          => "",
        "id"            => $shortname."_latest_link",
        "fold"          => $shortname."_group71",
        "std"           => "",
        "type"          => "text"
        );

$of_options[] = array(  "name"  => "Hot menu page link",
        "desc"          => "",
        "id"            => $shortname."_hot_link",
        "fold"          => $shortname."_group71",
        "std"           => "",
        "type"          => "text"
        );

$of_options[] = array(  "name"  => "Popular menu page link",
        "desc"          => "",
        "id"            => $shortname."_popular_link",
        "fold"          => $shortname."_group71",
        "std"           => "",
        "type"          => "text"
        );


// Main Menu
$of_options[] = array(  "name"  => "Hello there!",
        "desc"          => "<h3>Main Menu</h3>",
        "id"            => $shortname."_group29",
        "icon"          => true,
        "std"           => 0,
        "folds"         => 1,
        "type"          => "toggle"
        );

// Sticky Menu
$of_options[] = array(  "name"  => "Sticky Menu",
        "desc"          => "Enable or disable sticky menu.",
        "id"            => $shortname."_sticky_menu",
        "std"           => 1,
        "fold"          => $shortname."_group29",
        "type"          => "switch"
        );

$of_options[] = array(  "name"  => "Sticky Menu On Single Post",
        "desc"          => "Enable or disable sticky menu on single.",
        "id"            => $shortname."_sticky_menu_single",
        "std"           => 1,
        "fold"          => $shortname."_group29",
        "type"          => "switch"
        );

// Mega Menu
$of_options[] = array(  "name"  => "Mega Menu",
        "desc"          => "Enable or disable mega menu.",
        "id"            => $shortname."_mega_menu",
        "std"           => 1,
        "fold"          => $shortname."_group29",
        "type"          => "switch"
        );

// Menu Search
$of_options[] = array(  "name"  => "Search icon",
        "desc"          => "Show or hide search icon on main menu.",
        "id"            => $shortname."_menu_search",
        "std"           => 1,
        "fold"          => $shortname."_group29",
        "type"          => "switch"
        );

$of_options[] = array(  "name"  => "Menu Height",
    "desc"      => "Select a height value for main menu. Default height is 70px. After choosing the desired menu height, you might want to adjust the menu font size from Typography section.",
    "id"        => $shortname."_main_menu_height",
    "fold"      => $shortname."_group29",
    "std"       => "70",
    "min"       => "10",
    "step"      => "1",
    "max"       => "100",
    "type"      => "sliderui"
    );

$of_options[] = array(  "name"  => "Menu Sub-levels Height",
    "desc"      => "Select a height value for menu sublevels. Default height is 50px. After choosing the desired menu sublevels height, you might want to adjust the sublevels font size from Typography section.",
    "id"        => $shortname."_sub_menu_height",
    "fold"      => $shortname."_group29",
    "std"       => "50",
    "min"       => "10",
    "step"      => "1",
    "max"       => "100",
    "type"      => "sliderui"
    );

// Custom Mobile Title
$of_options[] = array(  "name"  => "Custom Mobile Title",
        "desc"          => "Enter a custom mobile menu title.",
        "id"            => $shortname."_custom_mobile_menu_title",
        "fold"          => $shortname."_group29",
        "std"           => '',
        "type"          => "text"
        );

// Logo
$of_options[] = array(  "name"  => "Hello there!",
        "desc"          => "<h3>Logo</h3>",
        "id"            => $shortname."_group27",
        "icon"          => true,
        "std"           => 0,
        "folds"         => 1,
        "type"          => "toggle"
        );

// Logo img
$of_options[] = array(  "name"  => "Small Logo",
        "desc"          => "Upload your logo (max. 250 x 100px) to be used on <strong>Wide Logo + Menu</strong> header block or in combination with the hader ad (<strong>Logo + Ad Banner</strong> block).",
        "id"            => $shortname."_custom_logo",
        "fold"          => $shortname."_group27",
        "std"           => '',
        "type"          => "upload"
        );


// Logo img
$of_options[] = array(  "name"  => "Full Logo",
        "desc"          => "Upload a full logo (any size) to be used on Full Logo header block.",
        "id"            => $shortname."_custom_logo_wide",
        "fold"          => $shortname."_group27",
        "std"           => '',
        "type"          => "upload"
        );

// Logo alt
$of_options[] = array(  "name"  => "Logo ALT attribute",
        "desc"          => "Type your ALT attribute for your logo",
        "id"            => $shortname."_custom_logo_alt",
        "fold"          => $shortname."_group27",
        "std"           => '',
        "type"          => "text"
        );

// Logo title
$of_options[] = array(  "name"  => "Logo TITLE attribute ",
        "desc"          => "Type your TITLE attribute for your logo",
        "id"            => $shortname."_custom_logo_title",
        "fold"          => $shortname."_group27",
        "std"           => '',
        "type"          => "text"
        );

$of_options[] = array(  "name"  => "Full Logo Link",
        "desc"          => "Full Logo can link to your homepage od scroll down to main content.",
        "id"            => $shortname."_link_to_content",
        "std"           => 1,
        "fold"          => $shortname."_group27",
        "on"            => "Link to Homepage",
        "off"           => "Link to Content",
        "type"          => "switch"
        );


$of_options[] = array(  "name"  => "Full Logo - Top & Bottom Margin",
    "desc"      => "Set the margin(top & bottom) of your <strong>Full Logo</strong>. This option can be used only if you use <strong>Full Logo</strong> on <strong>Header Constructor</strong> above. Note that \"30\" is the default value.",
    "id"        => $shortname."_full_logo_margin",
    "fold"      => $shortname."_group27",
    "std"       => "30",
    "min"       => "0",
    "step"      => "1",
    "max"       => "150",
    "type"      => "sliderui"
    );


// Modular Slide
$of_options[] = array(  "name"  => "Hello there!",
        "desc"          => "<h3>Modular Slider</h3>",
        "id"            => $shortname."_group57",
        "icon"          => true,
        "std"           => 0,
        "folds"         => 1,
        "type"          => "toggle"
        );

// Filter posts
$of_options[] = array(  "name"  => "Filter posts",
        "desc"          => "Choose how you want to display posts in the Modular Slider.",
        "id"            => $shortname."_filter_slider_posts",
        "fold"          => $shortname."_group57",
        "std"           => 1,
        "on"            => "By Category",
        "off"           => "By Tag Slug",
        "type"          => "switch"
        );
// include
$of_options[] = array(  "name"  => "Filter posts by Category",
        "desc"          => "Selected Category in this field will show up its posts in the modular slider on the homepage.",
        "id"            => $shortname."_category_in",
        "std"           => "ALL CATEGORIES",
        "fold"          => $shortname."_group57",
        "type"          => "select",
        "options"       => $of_categories
        );

// include
$of_options[] = array(  "name"  => "Filter posts by Tag Slug",
        "desc"          => "Posts with the selected tag in this field will show up in the modular slider on the homepage.",
        "id"            => $shortname."_slider_tags_in",
        "std"           => "ALL TAGS",
        "fold"          => $shortname."_group57",
        "type"          => "select",
        "options"       => $of_tags
        );

$of_options[] = array(  "name"  => "",
        "desc"          => "If you don't want to use this default built-in slider but another type of slider like <em>Slider Revolution</em> or any type of slider that uses shortcode, please fill out the field below.",
        "id"            => "introduction_7",
        "std"           => "",
        "icon"          => true,
        "fold"          => $shortname."_group57",
        "type"          => "new_info"
        );

// Modular Slider
$of_options[] = array(  "name"  => "Slider Shortcode",
        "desc"          => "Enter slider shortcode. Can be <em>Slider Revolution</em> or any type of slider that uses shortcode. Example: [rev_slider alias]",
        "id"            => $shortname."_modular_slider_shortcode",
        "fold"          => $shortname."_group57",
        "std"           => '',
        "type"          => "text"
        );

// Header Constructor
$of_options[] = array(  "name"  => "Hello there!",
        "desc"          => "<h3>Header Constructor</h3>",
        "id"            => $shortname."_group44",
        "icon"          => true,
        "std"           => 0,
        "folds"         => 1,
        "type"          => "toggle"
        );

$of_options[] = array(  "name" => "Header Layout Manager",
        "desc"      => "Organize how you want the header to appear on your site using drag & drop feature.",
        "id"        => $shortname."_header_blocks",
        "fold"      => $shortname."_group44",
        "std"       => $of_options_menu_blocks,
        "type"      => "sorter"
        );


$of_options[] = array(  "name"  => "Header Module - Top Margin for boxed version",
    "desc"      => "If you are using the boxed version of the theme, you can move the Header module up or down by selecting a top margin value. You can select a negativ value too. Note that \"0\" is the default value.",
    "id"        => $shortname."_header_block_margin",
    "fold"      => $shortname."_group44",
    "std"       => "0",
    "min"       => "-50",
    "step"      => "1",
    "max"       => "150",
    "type"      => "sliderui"
    );

// Transparent Header
$of_options[] = array(  "name"  => "Transparent Header",
        "desc"          => "Enable Transparent Header.",
        "id"            => $shortname."_transparent_header",
        "std"           => 1,
        "fold"          => $shortname."_group44",
        "type"          => "switch"
        );

// Custom Mobile Title
$of_options[] = array(  "name"  => "If you use \"Shortcode Block\"...",
        "desc"          => "For example, you can enter the Revolution Slider shortcode. Example: [my-slider shortcode]",
        "id"            => $shortname."_wide_slider_shortcode",
        "fold"          => $shortname."_group44",
        "std"           => '',
        "type"          => "text"
        );

// Template Options Heading
$of_options[] = array(  "name"  => "Template Options",
        "type"          => "heading"
        );

// Excerpts
$of_options[] = array(  "name"  => "Hello there!",
        "desc"          => "<h3>General Template Options</h3>",
        "id"            => $shortname."_group1",
        "icon"          => true,
        "std"           => 1,
        "folds"         => 1,
        "type"          => "toggle"
        );

// Text Excerpt
$of_options[] = array(  "name"  => "Excerpt Text",
        "desc"          => "Read More Text",
        "id"            => $shortname."_excerpts_text",
        "std"           => "Read More...",
        "fold"          => $shortname."_group1",
        "type"          => "text"
        );

// Excerpt Length
$of_options[] = array(  "name"  => "Overall Excerpt Length",
        "desc"          => "Excerpt text limit in words for archive, author and search pages.",
        "id"            => $shortname."_excerpts_length",
        "std"           => "50",
        "min"           => "1",
        "step"          => "1",
        "fold"          => $shortname."_group1",
        "max"           => "300",
        "type"          => "sliderui"
        );

// Blog Options
$of_options[] = array(  "name"  => "Hello there!",
        "desc"          => "<h3>General Content Layout</h3>",
        "id"            => $shortname."_group3",
        "icon"          => true,
        "std"           => 0,
        "folds"         => 1,
        "type"          => "toggle"
        );

$of_options[] = array(  "name"  => "General Content Layout Position",
        "desc"          => "Select main content and sidebar alignment for Archive, Category, Search Page and Clasic Blog layout. Note that the first <em>black-grey</em> block is the default option and uses Main Sidebar. ",
        "id"            => $shortname."_blog_posts_index_layout_default",
        "std"           => "default",
        "type"          => "images",
        "fold"          => $shortname."_group3",
        "options"       => array(
                'default'                   => $url . 'default.png',
                'content-sidebar-page'      => $url . '2cr.png',
                'sidebar-content-page'      => $url . '2cl.png',
                'full-width-page'           => $url . '3cr.png'
                )
        );

// Archive & Category Page
$of_options[] = array(  "name"  => "Hello there!",
        "desc"          => "<h3>Classic Blog Options</h3>",
        "id"            => $shortname."_group66",
        "icon"          => true,
        "std"           => 0,
        "folds"         => 1,
        "type"          => "toggle"
        );

// Excerpt Length
$of_options[] = array(  "name"  => "Classic Blog - Excerpt Length",
        "desc"          => "Excerpt text limit in words for Classic Blog.",
        "id"            => $shortname."_blog_style_excerpts_length",
        "std"           => "100",
        "min"           => "1",
        "step"          => "1",
        "fold"          => $shortname."_group66",
        "max"           => "300",
        "type"          => "sliderui"
        );

// Archive & Category Page
$of_options[] = array(  "name"  => "Hello there!",
        "desc"          => "<h3>Archive Page Options</h3>",
        "id"            => $shortname."_group5",
        "icon"          => true,
        "std"           => 0,
        "folds"         => 1,
        "type"          => "toggle"
        );

// Category Layouts
$of_options[] = array(  "name"  => "Category Layout",
        "desc"          => "Select the style of your cateogry.",
        "id"            => $shortname."_cat_layout2",
        "std"           => "default",
        "fold"          => $shortname."_group5",
        "type"          => "images",
        "options"       => array(
                        'default'    => $url . 'cat-1.png',
                        'td_cat_2' => $url . 'cat-2.png',
                        )
        );


// Page Options
$of_options[] = array(  "name"  => "Hello there!",
        "desc"          => "<h3>Single Page Options</h3>",
        "id"            => $shortname."_group2",
        "icon"          => true,
        "std"           => 0,
        "folds"         => 1,
        "type"          => "toggle"
        );

// Page Layout
$of_options[] = array(  "name"  => "Single Page Layout",
        "desc"          => "Select the Single Page Layout. Note that the first <em>black-grey</em> block is the default option and uses Main Sidebar.",
        "id"            => $shortname."_static_page_layout_default",
        "std"           => "default",
        "type"          => "images",
        "fold"          => $shortname."_group2",
        "options"   => array(
                'default'                   => $url . 'default.png',
                'content-sidebar-page'      => $url . '2cr.png',
                'sidebar-content-page'      => $url . '2cl.png',
                'full-width-page'           => $url . '3cr.png'
                )
        );

// Static Page Title
$of_options[] = array(  "name"  => "Single Page Title",
        "desc"          => "If you still want to hide the page title on specific pages even this otion is set to On, see <strong>\"Hide the title for specific pages\"</strong> option below.",
        "id"            => $shortname."_static_page_title",
        "std"           => 1,
        "fold"          => $shortname."_group2",
        "type"          => "switch"
        );

// Except Pages
$of_options[] = array(  "name"  => "Hide the page title for specific pages",
        "desc"          => "Enter the page ID where you to hide the title even if <strong>Static Page Title</strong> option above is set to On. You can also enter multiple page ID's separated by commas.",
        "id"            => $shortname."_static_page_exclude_title",
        "std"           => "",
        "fold"          => $shortname."_group2",
        "type"          => "text"
        );

// Disable comments on pages
$of_options[] = array(  "name"  => "Disable comments on pages",
        "desc"          => "Enable or disable comments on all pages.",
        "id"            => $shortname."_disable_comments_pages",
        "std"           => 1,
        "fold"          => $shortname."_group2",
        "on"            => "Comments enabled",
        "off"           => "Comments disabled",
        "type"          => "switch"
        );


// Single Post Page
$of_options[] = array(  "name"  => "Hello there!",
        "desc"          => "<h3>Single Post Options</h3>",
        "id"            => $shortname."_group4",
        "icon"          => true,
        "std"           => 0,
        "folds"         => 1,
        "type"          => "toggle"
        );

// Single Post Page Layout
$of_options[] = array(  "name"  => "Single Post Layout",
        "desc"          => "Select the Single Post Layout. Note that the first <em>black-grey</em> block is the default option and uses Main Sidebar.",
        "id"            => $shortname."_single_post_layout_default",
        "std"           => "default",
        "type"          => "images",
        "fold"          => $shortname."_group4",
        "options"   => array(
                'default'                   => $url . 'default.png',
                'content-sidebar-page'      => $url . '2cr.png',
                'sidebar-content-page'      => $url . '2cl.png',
                'full-width-page'           => $url . '3cr.png'
                )
        );

// Featured Image Single
$of_options[] = array(  "name"  => "Featured Image",
        "desc"          => "Show or hide featured image on single posts.",
        "id"            => $shortname."_single_featured_images",
        "std"           => 1,
        "fold"          => $shortname."_group4",
        "type"          => "switch"
        );

// Crop Featured Images
$of_options[] = array(  "name"  => "Crop Featured Image",
        "desc"          => "Enable if you want to crop the featured images to 700px x 350px (1116px x 480px for full featured image option). <br />Note that only new images are cropped. If you want to crop your old content, use <strong>Regenerate Thumbnails</strong> plugin.",
        "id"            => $shortname."_crop_featured_image",
        "std"           => 0,
        "fold"          => $shortname."_group4",
        "type"          => "switch"
        );

// Post Byline Categories Single
$of_options[] = array(  "name"  => "Categories",
        "desc"          => "Show or hide categories meta",
        "id"            => $shortname."_single_byline_categories",
        "std"           => 1,
        "fold"          => $shortname."_group4",
        "type"          => "switch"
        );


// Post Byline Tags Single
$of_options[] = array(  "name"  => "Post Tags",
        "desc"          => "Show or hide tags meta",
        "id"            => $shortname."_single_post_tags",
        "std"           => 1,
        "fold"          => $shortname."_group4",
        "type"          => "switch"
        );

// Post author box
$of_options[] = array(  "name"  => "Author Box",
        "desc"          => "Enable or disable the author box.",
        "id"            => $shortname."_post_author_box",
        "std"           => 1,
        "fold"          => $shortname."_group4",
        "type"          => "switch"
        );

// Post navigation
$of_options[] = array(  "name"  => "Post Navigation",
        "desc"          => "Show or hide <em>next</em> and <em>previous</em> posts",
        "id"            => $shortname."_post_navigation",
        "std"           => 1,
        "fold"          => $shortname."_group4",
        "type"          => "switch"
        );

// Disable comments
$of_options[] = array(  "name"  => "Disable comments on posts",
        "desc"          => "Enable or disable comments on all posts.",
        "id"            => $shortname."_disable_comments_posts",
        "std"           => 1,
        "fold"          => $shortname."_group4",
        "on"            => "Comments enabled",
        "off"           => "Comments disabled",
        "type"          => "switch"
        );

// Related Content
$of_options[] = array(  "name"  => "Related Articles",
        "desc"          => "Show or hide related articles module on posts.",
        "id"            => $shortname."_related_content",
        "std"           => 1,
        "fold"          => $shortname."_group4",
        "type"          => "switch"
        );

// Related Articles number
$of_options[] = array(  "name"  => "Number of Related Articles",
        "desc"          => "Select how many related articles to show",
        "id"            => $shortname."_related_content_count",
        "std"           => "2",
        "min"           => "2",
        "step"          => "2",
        "fold"          => $shortname."_group4",
        "max"           => "8",
        "type"          => "sliderui"
        );

// Related Content Type
$of_options[] = array(  "name"  => "Show Related Articles by ...",
        "desc"      => "Select by which criteria will be displayed the related articles.",
        "id"        => $shortname."_related_content_type",
        "std"       => "td_by_cat",
        "fold"      => $shortname."_group4",
        "type"      => "select",
        "options"   => $of_options_select_related_type
        );


if ( defined( 'MYARCADE_VERSION' ) ) {

// Games Options
$of_options[] = array(  "name"  => "Games Options",
        "type"          => "heading"
        );

$of_options[] = array(  "name"  => "",
        "desc"          => "",
        "id"            => "placehold",
        "std"           => "<h3>Game loading Progress Bar</h3>",
        "icon"          => true,
        "type"          => "info"
        );



$of_options[] = array(  "name"  => "Game loading Progress Bar",
        "desc"          => "Enable or disable game progress bar that appears before game starts.",
        "id"            => $shortname."_enable_progress_bar",
        "std"           => 0,
        "type"          => "switch"
        );

$of_options[] = array(  "name"  => "Progress Bar Text",
        "desc"          => "Toggle to enable/disable the progress bar text under progress bar.",
        "id"            => $shortname."_bar_textload_status",
        "fold"          => $shortname."_enable_progress_bar",
        "std"           => 0,
        "type"          => "switch"
        );

$of_options[] = array(  "name"  => "Progress Bar Text Message",
        "desc"          => "Type the progress bar text message.",
        "id"            => $shortname."_progressbar_text",
        "fold"          => $shortname."_enable_progress_bar",
        "std"           => 'Game loaded, click here to play the game!',
        "type"          => "text"
        );


$of_options[] = array(  "name"  => "Hello there!",
        "desc"          => "<h3>Game Buttons</h3>",
        "id"            => $shortname."_group72",
        "icon"          => true,
        "std"           => 0,
        "folds"         => 1,
        "type"          => "toggle"
        );


$of_options[] = array(  "name"  => "Full Screen",
        "desc"          => "Enable or disable the Full Screen Feature.",
        "id"            => $shortname."_fullscreen_enabled",
        "fold"          => $shortname."_group72",
        "std"           => 1,
        "type"          => "switch"
        );

$of_options[] = array(  "name"  => "Hello there!",
        "desc"          => "<h3>Game Screenshots</h3>",
        "id"            => $shortname."_group77",
        "icon"          => true,
        "std"           => 0,
        "folds"         => 1,
        "type"          => "toggle"
        );


$of_options[] = array(  "name"  => "Game Screenshots",
        "desc"          => "Enable or disable the game screenshot module.",
        "id"            => $shortname."_screenshoots_tab",
        "fold"          => $shortname."_group77",
        "std"           => 1,
        "type"          => "switch"
        );

} // END IF MYARCADE_VERSION


 // Footer Options Heading
$of_options[] = array( "name"  => "Footer",
        "type"          => "heading"
        );


// Colophon
$of_options[] = array(  "name"  => "Hello there!",
        "desc"          => "<h3>Colophon MailChimp Subscriber</h3>",
        "id"            => $shortname."_group46",
        "icon"          => true,
        "std"           => 0,
        "folds"         => 1,
        "type"          => "toggle"
        );

// Enable Colophon
$of_options[] = array(  "name"  => "Enable Colophon MailChimp Subscriber",
        "desc"          => "Our Colophon module allows you to add a MailChimp subscription form.",
        "id"            => $shortname."_colophon_enable",
        "fold"          => $shortname."_group46",
        "std"           => 0,
        "folds"         => 1,
        "on"            => "Enable",
        "off"           => "Disable",
        "type"          => "switch"
         );

// Call to Action Text1
$of_options[] = array(  "name"  => "Colophon form shortcode",
        "desc"          => "",
        "id"            => $shortname."_colophon_form",
        "fold"          => $shortname."_group46",
        "std"           => "",
        "type"          => "text"
        );

// Subfooter
$of_options[] = array(  "name"  => "Hello there!",
        "desc"          => "<h3>Sub footer first column</h3>",
        "id"            => $shortname."_group70",
        "icon"          => true,
        "std"           => 0,
        "folds"         => 1,
        "type"          => "toggle"
        );

// Footer Logo img
$of_options[] = array(  "name"  => "Sub Footer Logo",
        "desc"          => "Upload your logo to be used on Sub Footer.",
        "id"            => $shortname."_footer_logo",
        "fold"          => $shortname."_group70",
        "std"           => '',
        "type"          => "upload"
        );

// Custom Copyright Text
$of_options[] = array(  "name"  => "Copyright Text",
        "desc"          => "You can use standard HTML tags and attributes",
        "id"            => $shortname."_copyright",
        "fold"          => $shortname."_group70",
        "std"           => "",
        "type"          => "textarea"
        );


// Subfooter
$of_options[] = array(  "name"  => "Hello there!",
        "desc"          => "<h3>Sub footer middle column</h3>",
        "id"            => $shortname."_group73",
        "icon"          => true,
        "std"           => 0,
        "folds"         => 1,
        "type"          => "toggle"
        );

// Custom Text
$of_options[] = array(  "name"  => "Custom Text or HTML",
        "desc"          => "You can use standard HTML tags and attributes",
        "id"            => $shortname."_footer_middle",
        "fold"          => $shortname."_group73",
        "std"           => "26 Jackson Blvd Ste 1900 Chicago IL 20605-2640",
        "type"          => "textarea"
        );

// Subfooter
$of_options[] = array(  "name"  => "Hello there!",
        "desc"          => "<h3>Sub footer last column</h3>",
        "id"            => $shortname."_group74",
        "icon"          => true,
        "std"           => 0,
        "folds"         => 1,
        "type"          => "toggle"
        );


$of_options[] = array(  "name"  => "",
        "desc"          => "The last column is handled by Footer menu. Navigate to <strong>Appearance - Menus</strong> and asign <strong>Custom Links</strong> (social icons) to <strong>Footer Menu</strong>.",
        "id"            => $shortname."_footer_middle",
        "fold"          => $shortname."_group74",
        "std"           => "",
        "type"          => ""
        );

// Translation Heading
$of_options[] = array(  "name"  => "Translation",
        "type"          => "heading"
        );


$of_options[] = array(  "name"  => "",
        "desc"          => "",
        "id"            => $shortname."_group65",
        "std"           => "<h3>Translator</h3>",
        "icon"          => true,
        "type"          => "info"
        );

$of_options[] = array(  "name"  => "",
        "desc"          => "Translate your theme (frontend) easily without any external plugins. Also, if you prefer to translate your theme using multilanguage plugins (such as WPML) or standard WordPress translation, you need to disable the option below and translate your theme using the jumbo.pot file located inside <strong><em>wp-content/themes/Jumbo/language</em></strong> folder.",
        "id"            => "introduction_8",
        "std"           => "",
        "icon"          => true,
        "fold"          => $shortname."_group65",
        "type"          => "new_info"
        );

// Enable Translation
$of_options[] = array(  "name"  => "Enable Translator",
        "desc"          => "The the theme will load the default transaltion strings if you disable this option.",
        "id"            => $shortname."_enable_translator",
        "std"           => 1,
        "folds"         => 1,
        "on"            => "ENABLE",
        "off"           => "DISABLE",
        "type"          => "switch"
        );

foreach ( $translate_strings as $string_key => $string ) {
    $of_options[] = array(
        "id" => 'td_'.$string_key,
        "type"  => "text",
        "name"  => esc_html( $string['string_text'] ),
        "fold"  => $shortname."_enable_translator"
        );
}

$of_bg_attachment = array(
        "fixed"     => "Fixed",
        "scroll"    => "Scroll"
        );

$of_options[] = array(  "name"  => "Background",
        "type"          => "heading"
        );

$of_options[] = array(  "name"  => "Background Image",
        "desc"          => "Upload a background image for your theme. After you'll choose a background image, the theme will automatically switch to boxed version.",
        "id"            => $shortname."_background_image",
        "std"           => '',
        "type"          => "upload"
        );

$of_options[] = array(  "name"  => "Background Attachment",
        "desc"          => "Background attachment.",
        "id"            => $shortname."_background_attachment",
        "std"           => "scroll",
        "type"          => "radio",
        "options"       => $of_bg_attachment
        );

// Theme Colors Heading
$of_options[] = array(  "name"  => "Theme Colors",
        "type"          => "heading"
        );

// General Colors
$of_options[] = array(  "name"  => "Hello there!",
        "desc"          => "<h3>General Colors</h3>",
        "id"            => $shortname."_group34",
        "icon"          => true,
        "std"           => 0,
        "folds"         => 1,
        "type"          => "toggle"
        );

$of_options[] = array(  "name"  => "Theme Color",
        "desc"          => "Select your theme accent color.",
        "id"            => $shortname."_theme_color",
        "fold"          => $shortname."_group34",
        "std"           => '',
        "type"          => "color"
        );

$of_options[] = array(  "name"  => "Theme Background Color",
        "desc"          => "Pick a background color for your theme. After you'll choose a background color for your theme, the site will automatically switch to boxed version.",
        "id"            => $shortname."_body_background",
        "fold"          => $shortname."_group34",
        "std"           => '',
        "type"          => "color"
        );

$of_options[] = array(  "name"  => "Body Text Color",
        "desc"          => "Pick a color for the body text",
        "id"            => $shortname."_body_text_color",
        "fold"          => $shortname."_group34",
        "std"           => '',
        "type"          => "color"
        );

$of_options[] = array(  "name"  => "Content Links Color",
        "desc"          => "Pick a color for the links",
        "id"            => $shortname."_links_color",
        "fold"          => $shortname."_group34",
        "std"           => '',
        "type"          => "color"
        );

// Main Menu Colors
$of_options[] = array(  "name"  => "Hello there!",
        "desc"          => "<h3>Main Menu Colors</h3>",
        "id"            => $shortname."_group39",
        "icon"          => true,
        "std"           => 0,
        "folds"         => 1,
        "type"          => "toggle"
        );

$of_options[] = array(  "name"  => "Menu Background color",
        "desc"          => "Pick a background color for main menu",
        "id"            => $shortname."_main_menu_bg",
        "fold"          => $shortname."_group39",
        "std"           => '',
        "type"          => "color"
        );

$of_options[] = array(  "name"  => "Menu Links color",
        "desc"          => "Pick a color for main menu links.",
        "id"            => $shortname."_main_menu_links_color",
        "fold"          => $shortname."_group39",
        "std"           => '',
        "type"          => "color"
        );

$of_options[] = array(  "name"  => "Menu Links hover color",
        "desc"          => "Pick a color for main menu hover.",
        "id"            => $shortname."_menu_text_hover_color",
        "fold"          => $shortname."_group39",
        "std"           => '',
        "type"          => "color"
        );

$of_options[] = array(  "name"  => "Menu Items Hover Color",
        "desc"          => "Pick a color for the menu items hover.",
        "id"            => $shortname."_menu_item_hover_color",
        "fold"          => $shortname."_group39",
        "std"           => '',
        "type"          => "color"
        );

//  Headings Color
$of_options[] = array(  "name"  => "Hello there!",
        "desc"          => "<h3>Headings Color</h3>",
        "id"            => $shortname."_group53",
        "icon"          => true,
        "std"           => 0,
        "folds"         => 1,
        "type"          => "toggle"
        );

$of_options[] = array(  "name"  => "Headings Background Color",
        "desc"          => "Pick a background color for the headings",
        "id"            => $shortname."_headings_color",
        "fold"          => $shortname."_group53",
        "std"           => '',
        "type"          => "color"
        );


$of_options[] = array(  "name"  => "Headings Title Color",
        "desc"          => "Pick a color for the headings (h1, h2, h3, h4, h5, h6, and widget titles)",
        "id"            => $shortname."_headings_text_color",
        "fold"          => $shortname."_group53",
        "std"           => '',
        "type"          => "color"
        );

// Colophon Color
$of_options[] = array(  "name"  => "Hello there!",
        "desc"          => "<h3>Colophon Color</h3>",
        "id"            => $shortname."_group52",
        "icon"          => true,
        "std"           => 0,
        "folds"         => 1,
        "type"          => "toggle"
        );

$of_options[] = array(  "name"  => "Background Color",
        "desc"          => "Pick a color for Colophon background.",
        "id"            => $shortname."_wide_callout_background",
        "fold"          => $shortname."_group52",
        "std"           => '',
        "type"          => "color"
        );


// Footer Color
$of_options[] = array(  "name"  => "Hello there!",
        "desc"          => "<h3>Footer</h3>",
        "id"            => $shortname."_group75",
        "icon"          => true,
        "std"           => 0,
        "folds"         => 1,
        "type"          => "toggle"
        );

$of_options[] = array(  "name"  => "Background Color",
        "desc"          => "Pick a color for footer background.",
        "id"            => $shortname."_footer_background_color",
        "fold"          => $shortname."_group75",
        "std"           => '',
        "type"          => "color"
        );

$of_options[] = array(  "name"  => "Typography",
        "type"          => "heading"
        );

// General Font Options
$of_options[] = array(  "name"  => "",
        "desc"          => "",
        "id"            => "generalfont",
        "std"           => "<h3>General Font Option</h3>",
        "icon"          => true,
        "type"          => "info"
        );

$of_options[] = array( "name" => "Google font characters subset",
        "desc"      => "Select characters subset for all Google fonts that you may use on your theme. Please note that some Google fonts does not support particular subsets!",
        "id"            => $shortname."_font_subset",
        "std"       => "latin",
        "type"      => "select",
        "options"   => $of_option_google_fonts_subsets,
        );

// Body font
$of_options[] = array(  "name"  => "Hello there!",
        "desc"          => "<h3>Body font</h3>",
        "id"            => $shortname."_group30",
        "icon"          => true,
        "std"           => 0,
        "folds"         => 1,
        "type"          => "toggle"
        );

$of_options[] = array(  "name"  => "Font Family",
        "desc"          => "Select the font family for the body text.",
        "id"            => $shortname."_body_font_family",
        "fold"          => $shortname."_group30",
        "std"           => '',
        "type"          => "select_google_font",
        "preview"       => array(
        "text" => "This is a text preview! Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec condimentum tellus in purus condimentum pulvinar. Duis cursus bibendum dui. ", // this is the text from preview box
        "size" => "14px" // this is the text size from preview box
        ),
        "options"       => $of_option_google_fonts
        );

// Font Style
$of_options[] = array(  "name"  => "Font Style",
        "desc"      => "Since some Google Fonts weren't meant to be italicized or obliqued, you may want to specify an italic font style only when you're sure that selected font has been designed with an italic style. For example, if a browser or operating system can't find the true italic version of a Google Font, it will often \"fake it\" creating a faux italic by slanting the original font.",
        "id"        => $shortname."_body_font_style",
        "std"       => '',
        "fold"      => $shortname."_group30",
        "type"      => "select",
        "options"   => $of_options_select_font_style
        );

// Font Weight
$of_options[] = array(  "name"  => "Font Weight",
        "desc"      => "Select font weight for your choosen font.",
        "id"        => $shortname."_body_font_weight",
        "std"       => '',
        "fold"      => $shortname."_group30",
        "type"      => "select",
        "options"   => $of_options_select_font_weight
        );


$of_options[] = array(  "name"  => "Font size",
        "desc"          => "Select the font size for the body text. Default font size is 14px.",
        "id"            => $shortname."_body_font_size",
        "fold"          => $shortname."_group30",
        "std"           => '14',
        "min"           => "10",
        "step"          => "1",
        "max"           => "32",
        "type"          => "sliderui"
        );

$of_options[] = array(  "name"  => "Line Height",
        "desc"          => "Select the line height property for the body text. Default line-height is 21px.",
        "id"            => $shortname."_body_line_height",
        "fold"          => $shortname."_group30",
        "std"           => '21',
        "min"           => "1",
        "step"          => "1",
        "max"           => "70",
        "type"          => "sliderui"
        );

// Widgets title font
$of_options[] = array(  "name"  => "Hello there!",
        "desc"          => "<h3>Headings</h3>",
        "id"            => $shortname."_group32",
        "icon"          => true,
        "std"           => 0,
        "folds"         => 1,
        "type"          => "toggle"
        );

$of_options[] = array(  "name"  => "Font family",
        "desc"          => "Select the font family for the widgets title.",
        "id"            => $shortname."_widgets_font_family",
        "fold"          => $shortname."_group32",
        "std"           => '',
        "type"          => "select_google_font",
        "preview"       => array(
        "text" => "This is a text preview!", // this is the text from preview box
        "size" => "30px" // this is the text size from preview box
        ),
        "options"       => $of_option_google_fonts
        );

// Font Style
$of_options[] = array(  "name"  => "Font Style",
        "desc"      => "Since some Google fonts weren't meant to be italicized or obliqued, you may want to specify an italic font style only when you're sure that selected font has been designed with an italic style. For example, if a browser or operating system can't find the true italic version of a Google Font, it will often \"fake it\" creating a faux italic by slanting the original font.",
        "id"        => $shortname."_widgets_font_style",
        "std"       => '',
        "fold"      => $shortname."_group32",
        "type"      => "select",
        "options"   => $of_options_select_font_style
        );

// Font Weight
$of_options[] = array(  "name"  => "Font Weight",
        "desc"      => "Select font weight for your choosen font.",
        "id"        => $shortname."_widgets_font_weight",
        "std"       => '',
        "fold"      => $shortname."_group32",
        "type"      => "select",
        "options"   => $of_options_select_font_weight
        );

$of_options[] = array(  "name"  => "Font size",
        "desc"          => "Select the font size for widgets title. Default font size is 24px",
        "id"            => $shortname."_widgets_font_size",
        "fold"          => $shortname."_group32",
        "std"           => "24",
        "min"           => "10",
        "step"          => "1",
        "max"           => "70",
        "type"          => "sliderui"
        );

$of_options[] = array(  "name"  => "Line Height",
        "desc"          => "Select the line height property for widgets title. Default line-height is 36px.",
        "id"            => $shortname."_widgets_line_height",
        "fold"          => $shortname."_group32",
        "std"           => "36",
        "min"           => "1",
        "step"          => "1",
        "max"           => "70",
        "type"          => "sliderui"
        );

$of_options[] = array(  "name"  => "Text Transform",
        "desc"          => "Select text transform property for widgets title",
        "id"                => $shortname."_widgets_text_transform",
        "std"           => "none",
        "fold"          => $shortname."_group32",
        "type"          => "select",
        "options"       => $of_text_transform
        );

// Post and page title font
$of_options[] = array(  "name"  => "Hello there!",
        "desc"          => "<h3>Post and page title</h3>",
        "id"            => $shortname."_group33",
        "icon"          => true,
        "std"           => 0,
        "folds"         => 1,
        "type"          => "toggle"
        );

$of_options[] = array(  "name"  => "Font family",
        "desc"          => "Select the font family for post and page title.",
        "id"            => $shortname."_postpage_font_family",
        "fold"          => $shortname."_group33",
        "std"           => '',
        "type"          => "select_google_font",
        "preview"       => array(
        "text" => "This is a text preview!", // this is the text from preview box
        "size" => "30px" // this is the text size from preview box
        ),
        "options"       => $of_option_google_fonts
        );

// Font Style
$of_options[] = array(  "name"  => "Font Style",
        "desc"      => "Since some Google fonts weren't meant to be italicized or obliqued, you may want to specify an italic font style only when you're sure that selected font has been designed with an italic style. For example, if a browser or operating system can't find the true italic version of a Google Font, it will often \"fake it\" creating a faux italic by slanting the original font.",
        "id"        => $shortname."_postpage_font_style",
        "std"       => '',
        "fold"      => $shortname."_group33",
        "type"      => "select",
        "options"   => $of_options_select_font_style
        );

// Font Weight
$of_options[] = array(  "name"  => "Font Weight",
        "desc"      => "Select font weight for your choosen font.",
        "id"        => $shortname."_postpage_font_weight",
        "std"       => '',
        "fold"      => $shortname."_group33",
        "type"      => "select",
        "options"   => $of_options_select_font_weight
        );

$of_options[] = array(  "name"  => "Font size",
        "desc"          => "Select the font size for post and page title. Default font-size is 27px.",
        "id"            => $shortname."_postpage_font_size",
        "fold"          => $shortname."_group33",
        "std"           => "27",
        "min"           => "10",
        "step"          => "1",
        "max"           => "70",
        "type"          => "sliderui"
        );

$of_options[] = array(  "name"  => "Line Height",
        "desc"          => "Select the line height for post and page title. Default line-height is 36px.",
        "id"            => $shortname."_postpage_line_height",
        "fold"          => $shortname."_group33",
        "std"           => "36",
        "min"           => "1",
        "step"          => "1",
        "max"           => "70",
        "type"          => "sliderui"
        );

$of_options[] = array(  "name"  => "Text Transform",
        "desc"          => "Select text transform property for post and page title",
        "id"                => $shortname."_postpage_text_transform",
        "std"           => "uppercase",
        "fold"          => $shortname."_group33",
        "type"          => "select",
        "options"       => $of_text_transform
        );

// Main Menu font
$of_options[] = array(  "name"  => "Hello there!",
        "desc"          => "<h3>Main Menu</h3>",
        "id"            => $shortname."_group37",
        "icon"          => true,
        "std"           => 0,
        "folds"         => 1,
        "type"          => "toggle"
        );

$of_options[] = array(  "name"  => "Font family",
        "desc"          => "Select the font family for main menu.",
        "id"            => $shortname."_main_menu_font_family",
        "fold"          => $shortname."_group37",
        "std"           => '',
        "type"          => "select_google_font",
        "preview"       => array(
        "text" => "HOME&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;SHOP&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;SERVICES&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;PORTFOLIO", // this is the text from preview box
        "size" => "24px" // this is the text size from preview box
        ),
        "options"       => $of_option_google_fonts
        );

// Font Style
$of_options[] = array(  "name"  => "Font Style",
        "desc"      => "Since some Google fonts weren't meant to be italicized or obliqued, you may want to specify an italic font style only when you're sure that selected font has been designed with an italic style. For example, if a browser or operating system can't find the true italic version of a Google Font, it will often \"fake it\" creating a faux italic by slanting the original font.",
        "id"        => $shortname."_main_menu_font_style",
        "std"       => '',
        "fold"      => $shortname."_group37",
        "type"      => "select",
        "options"   => $of_options_select_font_style
        );

// Font Weight
$of_options[] = array(  "name"  => "Font Weight",
        "desc"      => "Select font weight for your choosen font.",
        "id"        => $shortname."_main_menu_font_weight",
        "std"       => '',
        "fold"      => $shortname."_group37",
        "type"      => "select",
        "options"   => $of_options_select_font_weight
        );

$of_options[] = array(  "name"  => "Font size",
        "desc"          => "Select the font size for main menu. Default font-size is 16px.",
        "id"            => $shortname."_main_menu_font_size",
        "fold"          => $shortname."_group37",
        "std"           => "16",
        "min"           => "10",
        "step"          => "1",
        "max"           => "70",
        "type"          => "sliderui"
        );

$of_options[] = array(  "name"  => "Text Transform",
        "desc"          => "Select text transform property for main menu",
        "id"                => $shortname."_main_menu_text_transform",
        "std"           => "uppercase",
        "fold"          => $shortname."_group37",
        "type"          => "select",
        "options"       => $of_text_transform
        );

// Sublevels font
$of_options[] = array(  "name"  => "Hello there!",
        "desc"          => "<h3>Sublevels of Main Menu</h3>",
        "id"            => $shortname."_group38",
        "icon"          => true,
        "std"           => 0,
        "folds"         => 1,
        "type"          => "toggle"
        );

$of_options[] = array(  "name"  => "Font family",
        "desc"          => "Select the font family for sub levels menu.",
        "id"            => $shortname."_sub_menu_font_family",
        "fold"          => $shortname."_group38",
        "std"           => '',
        "type"          => "select_google_font",
        "preview"       => array(
        "text" => "SUB CATEGORY ONE<br />SUB CATEGORY TWO<br />SUB CATEGORY THREE", // this is the text from preview box
        "size" => "18px" // this is the text size from preview box
        ),
        "options"       => $of_option_google_fonts
        );

// Font Style
$of_options[] = array(  "name"  => "Font Style",
        "desc"      => "Since some Google fonts weren't meant to be italicized or obliqued, you may want to specify an italic font style only when you're sure that selected font has been designed with an italic style. For example, if a browser or operating system can't find the true italic version of a Google Font, it will often \"fake it\" creating a faux italic by slanting the original font.",
        "id"        => $shortname."_sub_menu_font_style",
        "std"       => '',
        "fold"      => $shortname."_group38",
        "type"      => "select",
        "options"   => $of_options_select_font_style
        );

// Font Weight
$of_options[] = array(  "name"  => "Font Weight",
        "desc"      => "Select font weight for your choosen font.",
        "id"        => $shortname."_sub_menu_font_weight",
        "std"       => '',
        "fold"      => $shortname."_group38",
        "type"      => "select",
        "options"   => $of_options_select_font_weight
        );

$of_options[] = array(  "name"  => "Font size",
        "desc"          => "Select the font size for sub levels menu. Default font-size is 16px. ",
        "id"            => $shortname."_sub_menu_font_size",
        "fold"          => $shortname."_group38",
        "std"           => "16",
        "min"           => "9",
        "step"          => "1",
        "max"           => "50",
        "type"          => "sliderui"
        );

$of_options[] = array(  "name"  => "Text Transform",
        "desc"          => "Select text transform property for sub levels menu",
        "id"                => $shortname."_sub_menu_text_transform",
        "std"           => "uppercase",
        "fold"          => $shortname."_group38",
        "type"          => "select",
        "options"       => $of_text_transform
        );

// Custom CSS Heading
$of_options[] = array(  "name"  => "Custom CSS",
        "type"          => "heading"
        );

$of_options[] = array(  "name"  => "",
        "desc"          => "",
        "id"            => "introduction_3",
        "std"           => "<h3>Custom CSS Editor - Customize the appearance of your theme</h3>",
        "icon"          => true,
        "type"          => "info"
        );

// Custom CSS
$of_options[] = array(  "name"  => "",
        "desc"          => "Here you can add your own CSS styles without the need to create a child theme or worry about theme updates overwriting your customizations. Just add your CSS here for what you want to change and your rules will take precedence. Please note that you don't need to copy all the theme's style.css content but only the css attributes you need to modify or add. <hr /><em>*This is an advanced code editor that matches the features and performance of native editors such as Sublime, Vim and TextMate. Here are its most important features: live syntax checker, automatic indent and outdent, highlight matching parentheses, drag and drop text using the mouse, line wrapping, code folding, multiple cursors and selections...</em>",
        "id"            => $shortname."_jumbo_inline_css",
        "std"           => '',
        "type"          => "css"
        );

// Performance Options Heading
$of_options[] = array(  "name"  => "Performance",
        "type"          => "heading"
        );

$of_options[] = array(  "name"  => "",
        "desc"          => "",
        "id"            => "introduction_4",
        "std"           => "<h3>Speed Up Your Theme!</h3>",
        "icon"          => true,
        "type"          => "info"
        );

// Minify CSS
$of_options[] = array(  "name"  => "Minify theme CSS file",
        "desc"          => "Switching to a minified version of your main CSS file helps reduce page load time on your website. It is also useful for debugging theme style (Switch off).",
        "id"            => $shortname."_css_minified",
        "std"           => 0,
        "type"          => "switch"
        );

// Minify JS
$of_options[] = array(  "name"  => "Minify Javascripts",
        "desc"          => "Switching to a minified version of your main JS file helps reduce page load time on your website. It is also useful for debugging. (Switch off).",
        "id"            => $shortname."_js_minified",
        "std"           => 0,
        "type"          => "switch"
        );

$of_options[] = array(  "name"  => "",
        "desc"          => "",
        "id"            => "introduction_5",
        "std"           => "<h3 style=\"margin: 0 0 10px;\">Additional recommendations and best practices to speed up your site</h3>
        <ul>
        <li>
        <div class=\"dashicons dashicons-yes\" style=\"color:#2DCB73\"></div><strong>Choose a good hosting service</strong> - choosing a good web hosting will increase your website performance.
        </li>
        <li>
        <div class=\"dashicons dashicons-yes\" style=\"color:#2DCB73\"></div><strong><a href=\"http://www.feedthebot.com/pagespeed/enable-compression.html\" target=\"_blank\">Enable compression</a></strong> on your website - less time to load your pages, and less bandwidth used over all.
        </li>
        <li>
        <div class=\"dashicons dashicons-yes\" style=\"color:#2DCB73\"></div><strong>Use <a href=\"https://wordpress.org/plugins/wp-super-cache/\" target=\"_blank\">WP Super Cache</a> plugin</strong> - as a minimum configuration, we recommend to use just the full page and browser caching options enabled.
        </li>
        <li>
        <div class=\"dashicons dashicons-yes\" style=\"color:#2DCB73\"></div><strong>Use <a href=\"http://wordpress.org/plugins/wp-smushit/\" target=\"_blank\">WP Smush.it</a> plugin</strong> - reduce image file sizes and improve performance that means less time to load your pages.
        </li>
        <li>
        <div class=\"dashicons dashicons-yes\" style=\"color:#2DCB73\"></div><strong>Use <a href=\"http://wordpress.org/plugins/p3-profiler/\" target=\"_blank\">P3 Plugin Profiler</a></strong> to see which plugins are slowing down your site. Some poorly coded plugins may impact your site performance.
        </li>
        </ul>
        ",
        "icon"          => true,
        "type"          => "other"
        );

// Theme AutoUpdate
$of_options[] = array(  "name"  => "One click update ",
        "type"          => "heading"
        );

$of_options[] = array(  "name"  => "",
        "desc"          => "",
        "id"            => "introduction_6",
        "std"           => "<h3>One click solution for updating your theme</h3>",
        "icon"          => true,
        "type"          => "info"
        );

$of_options[] = array(  "name"  => "",
        "desc"          => "Please fill the fields below, if you want to get update notifications for your theme directly on your admin dashboard. In order to automatically update your theme, go to <a href=\"update-core.php\" target=\"_blank\">Updates</a> page of your <strong>Dashboard</strong>. If there is a new theme update available, you will have the ability to update your theme directly from this page.",
        "id"            => "introduction_7",
        "std"           => "",
        "icon"          => true,
        "type"          => "new_info"
        );

// Envato Username
$of_options[] = array(  "name"  => "Envato Username",
        "desc"          => "Please fill in your <strong>Envato</strong> username you used to purchase this theme.",
        "id"            => $shortname."_themeforest_username",
        "std"           => '',
        "type"          => "text"
        );


// Envato API key
$of_options[] = array(  "name"  => "Envato API key",
        "desc"          => "Please fill in your <strong>API Key</strong> from your <strong>Envato</strong> account. To find out how to get your <strong>API Key</strong>, check out this <a target='_blank' href='".$url."api-screenshot.png'>screenshot</a>.",
        "id"            => $shortname."_themeforest_api_key",
        "std"           => '',
        "type"          => "text"
        );


// Backup Options Heading
$of_options[] = array(  "name"  => "Backup Options",
        "type"          => "heading",
        "icon"          => ADMIN_IMAGES . "icon-backup.png"
        );

// Backup Options - Content
$of_options[] = array(  "name"  => "Backup and Restore Options",
        "id"            => "of_backup",
        "std"           => '',
        "type"          => "backup",
        "desc"          => 'You can use the two buttons below to backup your current options, and then restore it back at a later time. <br />This is useful if you want to experiment on the options but would like to keep the old settings in case you need them back.',
        );


    }   // End function: of_options()
}   // End chack if function exists: of_options()
?>