<?php

// If this file is called directly, busted!
if( !defined( 'ABSPATH' ) ) {
	exit;
/*----------------------------------------------------------------------------------------------------------
	* GALLERY STYLES
	* Please do not make any changes to this file.
	* All modifications should be made in a child theme to avoid losing them on updating the theme.
-----------------------------------------------------------------------------------------------------------*/
}

/*----------------------------------------------------------------------------------------------------------
	REMOVES INLINE STYLES SET BY DEFAULT WORDPRESS GALLERY.
-----------------------------------------------------------------------------------------------------------*/

function jumbo_remove_gallery_css( $css ) {
	return preg_replace( "#<style type='text/css'>(.*?)</style>#s", '', $css );
}

add_filter( 'gallery_style', 'jumbo_remove_gallery_css' );


/*----------------------------------------------------------------------------------------------------------
	USE shortcode_atts_gallery FILTER TO ADD NEW DEFAULTS IMAGE SIZES TO THE WORDPRESS GALLERY SHORTCODE.
-----------------------------------------------------------------------------------------------------------*/

function jumbo_gallery_atts( $out, $pairs, $atts ) {

	$full_width = is_page_template( 'full-width-page.php' ) || is_page_template( 'landing-page.php' );

	if ( array_key_exists( 'size', $atts ) ) {
		$size = $atts['size'];
	} else {

		if ( $full_width ) {
			switch ( $out['columns'] ) {
				case 1:
				$size = 'jumbo-1068';
				break;
				case 2:
				$size = 'jumbo-530';
				break;
				case 3:
				$size = 'jumbo-352';
				break;
				case 4:
				$size = 'jumbo-530';
				break;
				case 5:
				$size = 'jumbo-530';
				break;
				case 6:
				$size = 'jumbo-352';
				break;
				case 7:
				$size = 'jumbo-530';
				break;
				case 8:
				$size = 'jumbo-530';
				break;
				case 9:
				$size = 'jumbo-352';
				break;
			}
		} else {
			switch ( $out['columns'] ) {
				case 1:
				$size = 'jumbo-728';
				break;
				case 2:
				$size = 'jumbo-728';
				break;
				case 3:
				$size = 'jumbo-360';
				break;
				case 4:
				$size = 'jumbo-360';
				break;
				case 5:
				$size = 'jumbo-360';
				break;
				case 6:
				$size = 'jumbo-238';
				break;
				case 7:
				$size = 'jumbo-360';
				break;
				case 8:
				$size = 'jumbo-360';
				break;
				case 9:
				$size = 'jumbo-238';
				break;
			}
		}
	}

	$atts = shortcode_atts(
		array(
			'size' => $size,
			),
		$atts
		);

	$out['size'] = $atts['size'];

	return $out;
}

add_filter( 'shortcode_atts_gallery', 'jumbo_gallery_atts', 10, 3 );


/*----------------------------------------------------------------------------------------------------------
	CREATE IMAGE SIZES FOR THE GALLEY
-----------------------------------------------------------------------------------------------------------*/

add_image_size( 'jumbo-728', 728, 350, true );   //case 1 - normal
add_image_size( 'jumbo-360', 360, 180, true );   //case 2 - normal
add_image_size( 'jumbo-238', 238, 134, true );   //case 3 - normal
add_image_size( 'jumbo-1068', 1068, 9999 );      //case 1 - full width
add_image_size( 'jumbo-530', 530, 298, true );   //case 2 - full width
add_image_size( 'jumbo-352', 352, 198, true );   //case 3 - full width