<?php
/*----------------------------------------------------------------------------------------------------------
	* Please do not make any changes to this file.
	* All modifications should be made in a child theme to avoid losing them on updating the theme.
-----------------------------------------------------------------------------------------------------------*/

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}


/*----------------------------------------------------------------------------------------------------------
	Mashshare Filters
--------------------------------------------------------------------/---------------------------------------*/

add_action( 'after_setup_theme', 'jumbo_mashsharer_disable_welcome_redirect' );

if ( jumbo_can_use_plugin( 'mashsharer/mashshare.php' ) && ! jumbo_can_use_plugin( 'mashshare-networks/mashshare-networks.php' ) ) {
	add_filter( 'mashsb_array_networks', 'jumbo_mashsharer_array_networks' );
	add_action( 'init', 'jumbo_mashsharer_register_new_networks' );
	add_filter( 'jumbo_most_shared_query_args', 'jumbo_mashsharer_get_most_shared_query_args', 10, 2 );
	add_filter( 'jumbo_entry_share_count', 'jumbo_mashsharer_get_share_count' );
	add_filter( 'jumbo_show_entry_share_count', 'jumbo_mashsharer_show_share_count', 10, 2 );
	add_action( 'jumbo_after_import_content', 'jumbo_mashsharer_set_defaults' );
}



/*----------------------------------------------------------------------------------------------------------
	Function for creating custom ad positions in template files from quick-adsense-reloaded plugin
-----------------------------------------------------------------------------------------------------------*/

if ( function_exists( 'quads_register_ad' ) ) {
	quads_register_ad( array( 'location' => 'header', 'description' => 'Jumbo Header position' ) );
	quads_register_ad( array('location' => 'toparchive', 'description' => 'Jumbo Archive Top') );
	quads_register_ad( array('location' => 'bottomarchive', 'description' => 'Jumbo Archive Bottom') );
	quads_register_ad( array('location' => 'beforegame', 'description' => 'Jumbo Before the Game') );
	quads_register_ad( array('location' => 'bellowgame', 'description' => 'Jumbo Bellow the Game') );
	quads_register_ad( array('location' => 'interstitial', 'description' => 'Jumbo Interstitial Ad') );
}


/*----------------------------------------------------------------------------------------------------------
	Adding some filters & actions for external plugins
-----------------------------------------------------------------------------------------------------------*/

// Filter to use support for IE7, vimeo.com and stackexchange.com for Menu Social Icons plugin.
add_filter( 'storm_social_icons_use_latest', '__return_true' );



function jumbo_storm_social_icons_networks( $networks ) {

    $extra_icons = array (
        '/feed' => array(                  // Enable this icon for any URL containing this text
            'name' => 'RSS',               // Default menu item label
            'class' => 'rss',              // Custom class
            'icon' => 'icon-rss',          // FontAwesome class
            'icon-sign' => 'icon-rss-sign' // May not be available. Check FontAwesome.
        ),
    );

    $extra_icons = array_merge( $networks, $extra_icons );
    return $extra_icons;

}

add_filter( 'storm_social_icons_networks', 'jumbo_storm_social_icons_networks');


/*----------------------------------------------------------------------------------------------------------
  Add meta entry review final score to single post, archive and blog list if set in theme options.
-----------------------------------------------------------------------------------------------------------*/

if( !function_exists( 'jumbo_review_final_score' ) ) {

  function jumbo_review_final_score() {
    global $post;
    if( empty( $post_id ) ) {
      $post_id = $post->ID;
    }

    if ( function_exists( 'taqyeem_get_score' ) ) {
      taqyeem_get_score(  $post_id );
    }

  }

}


/*----------------------------------------------------------------------------------------------------------
	HIDE ACTIVATION AND UPDATE SPECIFIC PARTS OF SLIDER REVOLUTION
-----------------------------------------------------------------------------------------------------------*/

if( function_exists( 'set_revslider_as_theme' ) ){
	add_action( 'init', 'jumbo_hide_revslider_notice' );
	function jumbo_hide_revslider_notice() {
		set_revslider_as_theme();
	}
}

/*----------------------------------------------------------------------------------------------------------
	Hide some tabs under the Settings->Visual Composer page
-----------------------------------------------------------------------------------------------------------*/

if ( function_exists( 'vc_set_as_theme' ) ) {
    vc_set_as_theme();
}


/*----------------------------------------------------------------------------------------------------------
	Disable frontend editor tab on Visual Composer
-----------------------------------------------------------------------------------------------------------*/

if ( function_exists( 'vc_disable_frontend' ) ) {
    vc_disable_frontend();
}


/*----------------------------------------------------------------------------------------------------------
	Remove some content elements from Visual Composer
-----------------------------------------------------------------------------------------------------------*/

if ( function_exists( 'vc_remove_element' ) ) {
    vc_remove_element( 'vc_gallery' );
    vc_remove_element( 'vc_wp_links' );
    vc_remove_element( 'vc_raw_js' );
    vc_remove_element( 'vc_raw_html' );
    vc_remove_element( 'vc_facebook' );
    vc_remove_element( 'vc_button' );
    vc_remove_element( 'vc_button2' );
}