<?php

/*----------------------------------------------------------------------------------------------------------
	* REGISTER SIDEBARS
	* Please do not make any changes to this file.
	* All modifications should be made in a child theme to avoid losing them on updating the theme.
-----------------------------------------------------------------------------------------------------------*/

// If this file is called directly, busted!
if ( ! defined( 'WPINC' ) ) {
	die;
}


/*----------------------------------------------------------------------------------------------------------
	REGISTER WIDGETIZED AREA AND UPDATE SIDEBAR WITH DEFAULT WIDGETS.
-----------------------------------------------------------------------------------------------------------*/

function jumbo_widgets_init() {


	register_sidebar( array(
		'name'          => esc_html__( 'Main Sidebar', 'jumbo' ),
		'description'   => esc_html__( 'This area displays content on Default Template, and Classic Blog page templates.', 'jumbo' ),
		'id'            => 'main-sidebar',
		'before_title'  => '<div class="widget-title"><h3>',
		'after_title'   => '</h3></div>',
		'before_widget' => '<div id="%1$s" class="widget-wrapper %2$s">',
		'after_widget'  => '</div>'
		) );

	register_sidebar( array(
		'name'          => esc_html__( 'Sticky Sidebar', 'jumbo' ),
		'description'   => esc_html__( 'This is the sticky sidebar. The widgets added to this sidebar will be always pinned to top while you are scrolling through your website content.', 'jumbo' ),
		'id'            => 'sticky-sidebar',
		'before_title'  => '<div class="widget-title"><h3>',
		'after_title'   => '</h3></div>',
		'before_widget' => '<div id="%1$s" class="widget-wrapper %2$s">',
		'after_widget'  => '</div>'
		) );

	register_sidebar( array(
		'name'          => esc_html__( 'Right Sidebar', 'jumbo' ),
		'description'   => esc_html__( 'This area displays content on Content - Right Sidebar page templates.', 'jumbo' ),
		'id'            => 'right-sidebar',
		'before_title'  => '<div class="widget-title"><h3>',
		'after_title'   => '</h3></div>',
		'before_widget' => '<div id="%1$s" class="widget-wrapper %2$s">',
		'after_widget'  => '</div>'
		) );

	register_sidebar( array(
		'name'          => esc_html__( 'Left Sidebar', 'jumbo' ),
		'description'   => esc_html__( 'This area displays content on Left Sidebar - Content page templates.', 'jumbo' ),
		'id'            => 'left-sidebar',
		'before_title'  => '<div class="widget-title"><h3>',
		'after_title'   => '</h3></div>',
		'before_widget' => '<div id="%1$s" class="widget-wrapper %2$s">',
		'after_widget'  => '</div>'
		) );

	register_sidebar( array(
		'name'          => esc_html__( 'Gallery Sidebar', 'jumbo' ),
		'description'   => esc_html__( 'This area displays content on the page after an image has been clicked in a Gallery.', 'jumbo' ),
		'id'            => 'gallery-widget',
		'before_title'  => '<div class="widget-title"><h3>',
		'after_title'   => '</h3></div>',
		'before_widget' => '<div id="%1$s" class="widget-wrapper %2$s">',
		'after_widget'  => '</div>'
		) );

	register_sidebar( array(
		'name'          => esc_html__( 'Footer Widget', 'jumbo' ),
		'description'   => esc_html__( 'This area use a maximum of 3 widgets.', 'jumbo' ),
		'id'            => 'footer-widget',
		'before_title'  => '<div class="widget-title"><h3>',
		'after_title'   => '</h3></div>',
		'before_widget' => '<div id="%1$s" class="grid col-340 %2$s"><div class="widget-wrapper td-fly-in">',
		'after_widget'  => '</div></div>'
		) );
}

add_action( 'widgets_init', 'jumbo_widgets_init' );


/*----------------------------------------------------------------------------------------------------------
	ADD THE "FIT" CLASS TO THE THIRD FOOTER WIDGET
-----------------------------------------------------------------------------------------------------------*/

function jumbo_footer_widgets( $params ) {

	global $jumbo_footer_widget_num; // Our widget counter variable


	if ( $params[0]['id'] == 'footer-widget' ) { //Check if we are displaying "Footer Sidebar"
		$jumbo_footer_widget_num++;
		$divider = 3; // This is number of widgets that should fit in one row

		if ( $jumbo_footer_widget_num % $divider == 0 ) { //If it's third widget, add last class to it
			$class = 'class="fit ';
			$params[0]['before_widget'] = str_replace( 'class="', $class, $params[0]['before_widget'] );
		}

	}

	return $params;
}

add_filter( 'dynamic_sidebar_params', 'jumbo_footer_widgets' );