<?php

/*----------------------------------------------------------------------------------------------------------
Widget class
-----------------------------------------------------------------------------------------------------------*/
class Jumbo_Social_Tabs extends WP_Widget {


/*----------------------------------------------------------------------------------------------------------
Register widget with WordPress
-----------------------------------------------------------------------------------------------------------*/

public function __construct() {
  parent::__construct(
    'jumbo_social_tabs',
    esc_html__( '[TD] Facebook Like Box', 'jumbo' ),  // Widget Name
    array( 'description' => esc_html__( 'Displays Facebook Like Box on your sidebar.', 'jumbo' ), ) // Widget Args
    );
}


/*----------------------------------------------------------------------------------------------------------
Front-end display of widget
-----------------------------------------------------------------------------------------------------------*/

public function widget( $args, $instance ) {
  extract( $args );
  $title          = apply_filters( 'widget_title', $instance['title'] );
  $facebook_page  = $instance['facebook_page'];

  echo wp_kses_post( $before_widget );
  if ( $instance['title'] ) {
    echo wp_kses_post( $before_title . $title . $after_title );
}

  ?>


<div id="td-fb-wrapper">
<div class="td-fly-in">

<?php
// ----------- Facebook Content
// ---------------------------------------------------------------------------
?>


<div id="likebox-wrapper">
<?php if( $facebook_page ): ?>
<div class="fb-page" data-href=<?php echo ($facebook_page); ?> data-tabs="timeline" data-small-header="false" data-adapt-container-width="true" data-hide-cover="false" data-show-facepile="true"><div class="fb-xfbml-parse-ignore"><blockquote cite=<?php echo ($facebook_page); ?>><a href=<?php echo ($facebook_page); ?>></a></blockquote></div></div>
 <?php endif; ?>
 </div>



</div><?php // end of td-fly-in ?>
</div><?php // end of td-fb-wrapper ?>


    <?php
    echo wp_kses_post( $after_widget );
 }

/*----------------------------------------------------------------------------------------------------------
  Sanitize widget form values as they are saved
-----------------------------------------------------------------------------------------------------------*/

public function update( $new_instance, $old_instance ) {
  $instance = array();
  $instance                   = $old_instance;
  $instance['facebook_page']  = strip_tags( $new_instance['facebook_page'] );
  $instance['title']          = strip_tags( $new_instance['title'] );

  return $instance;
}

/*----------------------------------------------------------------------------------------------------------
  Back-end widget form
-----------------------------------------------------------------------------------------------------------*/

public function form( $instance ) {
  $defaults = array(

    'username'        => '',
    'facebook_page'   => '',
    'title'           => 'Facebook'
    );

  $instance = wp_parse_args( (array) $instance, $defaults );


/*----------------------------------------------------------------------------------------------------------
  Widget Options
-----------------------------------------------------------------------------------------------------------*/
?>
<p>
<label for="<?php echo esc_attr( $this->get_field_id( 'title' ) ); ?>"><?php esc_html_e( 'Title:', 'jumbo' ); ?></label>
<input class="widefat" type="text" id="<?php echo esc_attr( $this->get_field_id( 'title' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'title' ) ); ?>" value="<?php echo esc_attr( $instance['title'] ); ?>" />
</p>

<p>
<label for="<?php echo esc_attr( $this->get_field_id( 'facebook_page' ) ); ?>"><?php  esc_html_e( 'Facebook Fan Page:', 'jumbo' ); ?></label>
<input class="widefat" type="text" id="<?php echo esc_attr( $this->get_field_id( 'facebook_page' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'facebook_page' ) ); ?>" value="<?php echo esc_attr( $instance['facebook_page'] ); ?>" />
</p>

<?php
  }

}

/*----------------------------------------------------------------------------------------------------------
  Register Jumbo_Social_Tabs widget
-----------------------------------------------------------------------------------------------------------*/

function jumbo_social_tabs_init(){
  register_widget( 'Jumbo_Social_Tabs' );
}

add_action( 'widgets_init', 'jumbo_social_tabs_init' );