<?php

// If this file is called directly, busted!
if( !defined( 'ABSPATH' ) ) {
	exit;
}

/*----------------------------------------------------------------------------------------------------------
	NO-POSTS LOOP CONTENT - SEARCH OR 404. IF THERE ARE NO POSTS IN THE LOOP, DISPLAY DEFAULT CONTENT
-----------------------------------------------------------------------------------------------------------*/

// Display the title according to the page: "search - no results" or "404"
$title = ( is_search() ? sprintf( __jumbo_translate( 'your_search_for' ), get_search_query() ) : __jumbo_translate( 'you_broke_it' ) );
?>

<?php if ( is_search() ) { // change the font size for title if search
	$search_title = 'search-title-small';
} else {
	$search_title = 'title-404';
}
?>

<h1 class="<?php echo esc_html( $search_title ); ?>"><?php echo esc_html( $title ); ?></h1>
<?php if( !is_search() ) : // display these messages only on 404 page ?>

	<p class="message-404"><?php echo __jumbo_translate( 'do_not_panic' ); ?></p>

	<h6 class="td-search-options"><?php // display subtitle message on 404 page

	printf( __jumbo_translate( 'search_options' ),
		sprintf( '<a href="%1$s" title="%2$s">%3$s</a>',
			esc_url( get_home_url() ),
			esc_attr( __jumbo_translate( 'search_home_title' ) ),
 			esc_attr( __jumbo_translate( 'to_home' ) )
			)
		);

		?></h6>

	<?php else: // display this message only on search page with no results ?>

	<p class="message-404"><?php echo __jumbo_translate( 'another_search' ); ?></p>

<?php endif ;?>
<?php get_search_form();
?>