<?php

// If this file is called directly, busted!
if( !defined( 'ABSPATH' ) ) {
	exit;
}
/*----------------------------------------------------------------------------------------------------------
	Single Arcade Template - we use PHP comments instead of HTML, to reduce the page size.
-----------------------------------------------------------------------------------------------------------*/
?>

<?php // game variables
$td_progressbar_enabled 	= jumbo_get_option( 'td_enable_progress_bar' );
$td_fullscreen_enabled 		= jumbo_get_option( 'td_fullscreen_enabled' );
$td_enable_progressbar_text	= jumbo_get_option( 'td_bar_textload_status' );
$td_progressbar_text		= jumbo_get_option( 'td_progressbar_text' );
$td_screens_tab_enabled 	= jumbo_get_option( 'td_screenshoots_tab' ); // game screenshots
if ( $td_progressbar_enabled ) {
	$play_target = '#full-screen-wrapp';
} else {
	$play_target = '#td-game-wrap';
}

?>

<div id="content-arcade" class="grid col-1116">

<div class="td-content-inner-single-arcade">

<div class="td-postmedia-warpper">
<?php $background = wp_get_attachment_image_src( get_post_thumbnail_id( get_the_ID() ), 'full' ); ?>

<div id="post" class="td-page-cover td-parallax" style="background-image: url('<?php echo esc_url( $background['0'] );?>')">

<div class="td-top-gradient-overlay"></div>

<?php jumbo_single_meta_color(); ?>

<h2 class="td-big-title"><?php myarcade_title(); ?></h2>

<div class="call-to-action">
<a class="button hvr-shutter-out-horizontal"  href="<?php echo esc_attr( $play_target ); ?>"><?php echo __jumbo_translate( 'play_now' ); ?></a>
</div>

<div class="td-paralax-game-details">

<div class="td-game-counts">
	<?php jumbo_posted_in(); ?>
</div>

<div class="td-user-rating">
<div class="td-game-stars">
	<?php jumbo_review_final_score(); ?>
</div>
</div>
</div>

</div>
</div>

<?php
$echo ='';
if ( myarcade_instructions( $echo ) ) : ?>
<div id="td-game-instruction">
<div class="td-game-instruction-title">
	<?php echo __jumbo_translate( 'how_to_play' ); ?>
</div>

			<div class="td-foreground-overlay">
				<div class="td-game-instruction-text">
					<p><?php myarcade_instructions(); ?></p>
				</div>
			</div>

</div>
<?php endif; ?>

<?php if ( function_exists( 'myarcade_count_screenshots' ) ) : ?>
<?php $screenshots = myarcade_count_screenshots(); ?>
<?php else: ?>
<?php $screenshots = ''; ?>
<?php endif; ?>

<?php if ( defined( 'MYARCADE_VERSION' ) and is_game() and $td_screens_tab_enabled and ( $screenshots ) ) : ?>
<div class="widget-title td-screens">

<h3><?php echo __jumbo_translate( 'game_screens' ); ?><div id="td-show-hide"><?php echo '-'; ?></div></h3>
</div>

<div class="td-screens-wrap">
<?php myarcade_all_screenshots( 238, 238, 'td-game-screens-class'); ?>
</div>
<?php endif; ?>



<div id="full-screen-wrapp">

<div class="widget-title">

<h1 class="entry-title post-title"><?php myarcade_title(); ?></h1>

<div class="td-game-buttons">
<?php if ( $td_fullscreen_enabled ) : ?>

<div class="td-fullscreen">
	<?php echo __jumbo_translate( 'fullscreen' ); ?>
</div>

<?php endif; ?>

</div>
</div>

<?php //if ( class_exists( 'mashshare' ) ) {
	//echo do_shortcode( "[mashshare]" ); }
?>

<div id="td-game-target" class="td-wrap-content-arcade">

<div class="clearfix"></div>

<?php if ( $td_progressbar_enabled ) : ?>

<div id="showprogressbar">

<?php if ( function_exists( 'quads_ad' ) ) {
	echo '<div class="td-no-lightbox ad-paragraph">';
      echo quads_ad( array('location' => 'interstitial') ); // show the interstitial ad
      echo '</div>';
  }
  ?>

<div id="progressbar">
<span id="progresstext">0%</span>
<div id="progressbarloadbg">&thinsp;</div>
</div>
</div><?php // end of #showprogressbar/ ?>

<div id="progressbarloadtext" onclick="window.jumbo_hide();">
<?php if ( $td_enable_progressbar_text ) : ?>
<?php echo esc_html( $td_progressbar_text ); ?>
<?php endif; // end of check "$td_enable_progressbar_text" ?>
</div>

<?php endif; // end of check "$td_progressbar_enabled" ?>

<div class="clearfix"></div>

<div id="td-game-wrap" class="showfitvids">

<?php if ( function_exists( 'quads_ad' ) ) {
      echo quads_ad( array('location' => 'beforegame') ); // show the header ad
  }
  ?>

<div class="td-embed-container">

<?php
if ( function_exists( 'get_game' ) ) { // yep... show the MyArcade  game code
	//global $mypostid;
	//$mypostid = $post->ID;
	/* mypostid global is needed for MyScoresPresenter plugin - not sure we want to use it yet*/
	echo myarcade_get_leaderboard_code();
	echo get_game( $post->ID );
}
?>

</div><?php // end of embed-container / ?>

<?php if ( function_exists( 'quads_ad' ) ) {
      echo quads_ad( array('location' => 'bellowgame') );  // show the ad bellow the game
  }
  ?>
</div><?php // end of #td-game-wrap / ?>

</div><?php // end of .td-wrap-content-arcade / ?>
</div><?php // end of #full-screen-wrapp / ?>

<div class="td-game-ad-space">
<?php //echo responsive_ad_bellow_the_game(); // show the below the game ad ?>
</div><?php // end of .td-game-ad-space / ?>

</div><?php // end of .td-content-inner-single-arcade / ?>
</div><?php // end of #content-arcade / ?>