<?php

// If this file is called directly, busted!
if( !defined( 'ABSPATH' ) ) {
	exit;
}

/*----------------------------------------------------------------------------------------------------------
	GALLERY WIDGET TEMPLATE - WE USE PHP COMMENTS INSTEAD OF HTML, TO REDUCE THE SIZE OF THIS PAGE.
-----------------------------------------------------------------------------------------------------------*/
?>
<?php jumbo_widgets_before(); // above widgets container hook ?>

	<div id="widgets" class="grid col-340 fit gallery-meta">
		<?php jumbo_widgets(); // above widgets hook ?>
		<div class="widget-wrapper">

			<div class="widget-title"><h3><?php echo __jumbo_translate( 'image_information' ); ?></h3></div>
			<ul>
				<?php
				$jumbo_data = get_post_meta( $post->ID, '_wp_attachment_metadata', true );

				if( is_array( $jumbo_data ) ) {
					?>
					<span class="full-size"><?php echo __jumbo_translate( 'full_size' ); ?>
						<a href="<?php echo wp_get_attachment_url( $post->ID ); ?>"><?php echo wp_kses_post( $jumbo_data['width'] ) . '&#215;' . wp_kses_post( $jumbo_data['height'] ); ?></a>px</span>

					<?php
					if( is_array( $jumbo_data['image_meta'] ) ) {
						?>
						<?php if( $jumbo_data['image_meta']['aperture'] ) { ?>
							<span class="aperture"><?php echo __jumbo_translate( 'aperture' ); ?><?php echo wp_kses_post( $jumbo_data['image_meta']['aperture'] ); ?></span>
						<?php } ?>

						<?php if( $jumbo_data['image_meta']['focal_length'] ) { ?>
							<span
								class="focal-length"><?php echo __jumbo_translate( 'focal_length' ); ?> <?php echo wp_kses_post( $jumbo_data['image_meta']['focal_length'] ); ?><?php echo __jumbo_translate( 'mm' ); ?></span>
						<?php } ?>

						<?php if( $jumbo_data['image_meta']['iso'] ) { ?>
							<span class="iso"><?php echo __jumbo_translate( 'iso' ); ?> <?php echo wp_kses_post( $jumbo_data['image_meta']['iso'] ); ?></span>
						<?php } ?>

						<?php if( $jumbo_data['image_meta']['shutter_speed'] ) { ?>
							<span class="shutter"><?php echo __jumbo_translate( 'shutter' ); ?>
								<?php
								if( ( 1 / $jumbo_data['image_meta']['shutter_speed'] ) > 1 ) {
									echo "1/";
									if( number_format( ( 1 / $jumbo_data['image_meta']['shutter_speed'] ), 1 ) == number_format( ( 1 / $jumbo_data['image_meta']['shutter_speed'] ), 0 ) ) {
										echo number_format( ( 1 / $jumbo_data['image_meta']['shutter_speed'] ), 0, '.', '' ) . ' sec';
									}
									else {
										echo number_format( ( 1 / $jumbo_data['image_meta']['shutter_speed'] ), 1, '.', '' ) . ' sec';
									}
								}
								else {
									echo wp_kses_post( $jumbo_data['image_meta']['shutter_speed'] ) . ' sec';
								}
								?>
								</span>
						<?php } ?>

						<?php if( $jumbo_data['image_meta']['camera'] ) { ?>
							<span class="camera"><?php echo __jumbo_translate( 'camera' ); ?> <?php echo wp_kses_post( $jumbo_data['image_meta']['camera'] ); ?></span>
						<?php
						}
					}
				}
				?>
			</ul>

		</div><?php // end of .widget-wrapper ?>

	</div><?php // end of #widgets ?>

<?php if( !is_active_sidebar( 'gallery-widget' ) ) {
	return;
} ?>

<?php if( is_active_sidebar( 'gallery-widget' ) ) : ?>

	<div id="widgets" class="grid col-340 fit">

		<?php jumbo_widgets(); // above widgets hook ?>
		<?php dynamic_sidebar( 'gallery-widget' ); ?>
		<?php jumbo_widgets_end(); // after widgets hook ?>

	</div><?php // end of #widgets ?>

	<?php jumbo_widgets_after(); // after widgets container hook ?>

<?php endif; ?>