<?php

// If this file is called directly, busted!
if( !defined( 'ABSPATH' ) ) {
	exit;
}

/*----------------------------------------------------------------------------------------------------------
	Single Posts Template - we use PHP comments instead of HTML, to reduce the page size.
-----------------------------------------------------------------------------------------------------------*/

get_header(); ?>

<?php if ( defined( 'MYARCADE_VERSION' ) and is_game() ) : // if it's a MyArcadePlugin game, show it ?>
<?php get_template_part( 'parts/da-game' ); ?>
<?php endif; // end of check "MYARCADE_VERSION" ?>
<?php

// full width featured image
jumbo_post_var();
$full_image 	= get_post_meta( $post->ID, 'jumbo_featured_image', true ); // get featured image option from meta box
$td_lightbox_on	= jumbo_get_option( 'td_lightbox_on' ); // enable/disable lightbox
if ( $td_lightbox_on ) {
	$td_lightbox_var = 'td-popup-hook';
} else {
	$td_lightbox_var = 'td-no-lightbox';
}

if ( $full_image == 'full' ) : ?>
	<div id="content-feat" class="full-featured grid col-1116">
		<?php jumbo_featured_image(); ?>
		<div class="dark-cover"></div>
		<header>
		<?php get_template_part( 'post-meta' ); ?>
	</header>
	</div>
<?php endif; ?>


<div id="content" class="<?php echo implode( ' ', jumbo_get_content_classes() ); ?>">

	<?php get_template_part( 'loop-header' ); ?>
	<?php if( have_posts() ) : ?>
	<?php while( have_posts() ) : the_post(); ?>
	<?php jumbo_entry_before(); ?>
	<div class="td-nopadding-single">
	<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

		<?php jumbo_entry_top(); ?>
		<?php if ( $full_image != 'full' ) : ?>
		<?php get_template_part( 'post-meta' ); ?>
		<?php endif; ?>

		<div class="post-entry">
			<div class="<?php echo esc_attr( $td_lightbox_var ); ?>"><?php // adding a class used on theme-scripts.js to initialize magnific popup only for images within the post content / ?>

			<?php if ( $full_image != 'full' ) : ?>
				<?php jumbo_featured_image(); ?>
			<?php endif; ?>

			<?php the_content( __jumbo_translate( 'read_more') ); ?>

			</div><?php // end of td-popup-hook / ?>

			<?php // right after the_content / ?>


			<?php if( jumbo_get_option( 'td_post_navigation' ) == 1 ) : ?>

			<div class="navigation">

				<?php // TODO - these navigation links may be Taxonomy: http://codex.wordpress.org/Function_Reference/next_post_link & previous_post_link / ?>

				<?php if ( !is_rtl() ) : ?>
				<div class="previous"><?php previous_post_link( '<i class="fa fa-chevron-left"></i> &nbsp; %link' ); ?></div>
				<div class="next"><?php next_post_link( '%link &nbsp;  <i class="fa fa-chevron-right"></i>' ); ?></div>
			<?php else : ?>
				<div class="next"><?php previous_post_link( '<i class="fa fa-chevron-left"></i>%link  &nbsp;' ); ?></div>
				<div class="previous"><?php next_post_link( ' &nbsp; %link<i class="fa fa-chevron-right"></i>' ); ?></div>

		<?php endif ; ?>

	</div><?php // end of .navigation / ?>

<?php endif ; // end if( jumbo_get_option( 'td_post_navigation' ) ?>

<?php jumbo_tag_box(); ?>

<?php  if( !function_exists( 'wpsabox_author_box' ) and get_the_author_meta( 'description' ) != '' and jumbo_get_option( 'td_post_author_box' ) == 1 ) : ?>

	<div id="author-meta">

		<?php if( function_exists( 'get_avatar' ) ) {
			echo get_avatar( get_the_author_meta( 'user_email' ), '100' );
		} ?>
		<div class="about-author"><?php the_author_posts_link(); ?></div>
		<div class="auth-desc vcard author"><span class="fn"><?php the_author_meta( 'description' ) ?></span></div>
		<div class="clearfix"></div>

	</div><?php // end of #author-meta / ?>

<?php endif; // no description, no author's meta ?>

<?php if ( function_exists( 'wpsabox_author_box' ) ) echo wpsabox_author_box(); // Our Simple Author Box plugin ?>

<?php wp_link_pages( array( 'before' => '<div class="pagination">' . __jumbo_translate( 'pages'), 'after' => '</div>' ) ); ?>

<?php jumbo_entry_bottom(); ?>
<div class="clearfix"></div>
<?php echo jumbo_related_posts(); ?>

</div><?php // end of .post-entry / ?>

</div><?php // end of #post-the_ID(); / ?>
</div>

<?php jumbo_entry_after(); ?>
<?php jumbo_comments_before(); ?>
<?php comments_template( '', true ); ?>
<?php jumbo_comments_after(); ?>

<?php
endwhile;
get_template_part( 'loop-nav' );
else :
	get_template_part( 'loop-no-posts' );
endif;
?>

</div><?php // end of #content / ?>

<?php get_sidebar(); ?>
<?php get_footer(); ?>